$(function() {
	var Citys = {
		cityData: [],
		weaData: [],
		isEdit: false,
		init: function() {
			window.apiready = function() {
				//0812add
				td = api.require('talkingData');
				td.getDeviceID(function(ret,err){
					if(ret){
						//api.alert({msg: ret});
						td.onPageStart({pageName:'城市管理'});
					}
				});
				
				$api.fixIos7Bar($api.byId('weath_header'));
				$api.fixIos7Bar($api.byId('edit'));
				$api.fixIos7Bar($api.byId('goTo'));
				$api.fixIos7Bar($api.byId('weathh_main'));
			}
			$('#weathh_main').css('min-height', $(window).height() - 50);
			this.getCitys();
			$('.cityList').on('longTap', function() {
				Citys.isEdit = !Citys.isEdit;
				if (Citys.isEdit) {
					$('#edit_txt').show();
					//$('#edit_txt').html('<img src="image/yes.png" height="20px" style=" margin-top:-4px; ">');
					$('.delete').toggle();
				}
			});
			$('#edit_txt').hide();
		},
		getCitys: function() {
			if (localStorage.getItem('weaCitys')) {
				this.cityData = $.trim(localStorage.getItem('weaCitys').replace(/&$/, '')).split('&');
			}
			this.getWeas();
		},
		getWeas: function() {
			var tmpIdx = 0;
			if (this.cityData.length > 0) {
				Citys.showCitys();
				
			} else {
				Citys.showCitys();
			}
		},
		showCitys: function() {
			var html = [];
			if (this.cityData.length > 0) {
				$.each(this.cityData, function(idx, item) {
					html.push([
						'<li class="cityList">',
							'<a class="city_txt f24 fhcolor pr" href="javascript:;">',
								'<p class="padding_leftop5">',
								'</p>',
								'<img src="images/index/blank.png" width="60" height="60" id="weaIcon_'+idx+'">',
								'<p class="padding_leftop5">',
									'<span>',
										item,
									'</span>',
									'<br/>',
									//'<span id="text_'+idx+'">',
									//'</span>',
									//'<br/>',
									'<span id="temperature_'+idx+'">',
									'</span>',
								'</p>',
								'<div class="delete"></div>',
							'</a>',
						'</li>'
					].join(''));
					Citys.getWea('text_' + idx, 'temperature_' + idx, 'weaIcon_' + idx, item);
				});
			}
			html.push([
				'<li>',
					'<a class="city_txt middle_add" id="addCity">',
						'<span class="add_font">',
							'<img style="width:60px; height: 60px" src="images/person/add_btn.png" />',
						'</span>',
					'</a>',
				'</li>'
			].join(''));
			$('#weaList').html(html.join(''));
			var winHeight = $(window).height() - 50,
				weaHeight = $('#weathh_main').height();
			if (weaHeight <= winHeight) {
				$('#weathh_main').height(winHeight);
			}
			this.bindEvt();
		},
		getWea: function(textId, tempId, weaId, city) {
			$.each(this.cityData, function(idx, item) {
				var url = 'https://api.thinkpage.cn/v2/weather/future.json?city=' +
					city +'&language=zh-chs&unit=c&key=ZOGXQXGJFP';
				$.ajax({
					type: "get",
					url: url,
					success: function(data) {
						var tmpData = null;
						if (data.status.toLowerCase() == 'ok') {
							tmpData = data.weather[0].future[0];
							//$('#' + textId).html(tmpData.text);
							$('#' + tempId).html(tmpData.low + '℃-' + tmpData.high + '℃');
							$('#' + weaId).attr('src', 'weaIcon/' + tmpData.code1 + '.png');
						}
					}
				});
			});
		},
		bindEvt: function() {
			Zepto('#goTo').tap(function(e) {
				history.back();
			});
			Zepto('#addCity').tap(function(e) {
				//0812add-播报拍摄模块点击数
				td.onEvent({
					eventId:'添加城市"+"点击量',
					eventLabel:'添加城市"+"点击量',
					parameters:{
						category:'添加城市"+"点击量'
						}
					});
				td.onPageEnd({pageName:'城市管理'});
				
				window.location.href = 'choose_search.html';
			});
			Zepto('#edit').tap(function(e) {
				Citys.isEdit = !Citys.isEdit;
				if (Citys.isEdit) {
					$('#edit_txt').show();
					//$('#edit_txt').html('<img src="image/yes.png" height="20px" style=" margin-top:-4px; ">');
				} else {
					$('#edit_txt').hide();
				}
				$('.delete').toggle();
			});
			Zepto('.delete').tap(function(e) {
				var li = $(e.target).parent().parent(),
					index = $(li).index(),
					globalCity = '';
				Citys.cityData.splice(index, 1);
				if (Citys.cityData.length == 0) {
					localStorage.setItem('globalCity', '');
					localStorage.setItem('weaCitys', '');
				} else {
					globalCity = Citys.cityData[index] ? Citys.cityData[index] 
						: Citys.cityData[index - 1];
					localStorage.setItem('globalCity', globalCity);
					localStorage.setItem('weaCitys', Citys.cityData.join('&'));
				}
				li.remove();
			});
			$('#weaList li.cityList a').on('touchend', function(e) {
				if (!Citys.isEdit) {
					var index = $(this).parent().index();
					localStorage.setItem('globalCity', Citys.cityData[index]);
					window.location.href = 'index.html';
				}
			});
		}
	};
	
	Citys.init();
});