$(function() {
	$('#slide').width($(window).width());
	var myScroll = null;
	var pullDownEl, pullDownOffset;
	var flexslider = null;
	var isExit = localStorage.getItem('isExit');
	var city = localStorage.getItem('globalCity'),
		shareURL = 'http://ott.atianqi.com:7030/meiWe2/',
		href = window.location.href.split('/'),
		path = href[href.length - 1],
		web_page_url = shareURL + path;
	commTxt = '美天天气 为您提供最准确的天气信息，http://www.atianqi.com。',
		globalWea = localStorage.getItem('globalWeaData') ?
		JSON.parse(localStorage.getItem('globalWeaData')) : {},
		indexRec = localStorage.getItem('indexRec') ?
		JSON.parse(localStorage.getItem('indexRec')) : [];
	var Top = {
		idx: -1,
		cityData: [],
		init: function() {
			if (localStorage.getItem('weaCitys')) {
				this.cityData = $.trim(localStorage.getItem('weaCitys').replace(/&$/, '')).split('&');
				//this.cityData.pop();
			}

			this.idx = this.cityData.indexOf(city);
			//this.cityData.splice(this.idx, 1);
			//this.cityData.unshift(city);
			//this.idx = 0;
			//localStorage.setItem('weaCitys', this.cityData.join('&'));

			this.showCity(city);
			this.showPoint();
			this.bindEvt();
		},
		showCity: function(city) {
			$('#city').text(city);
		},
		showPoint: function() {
			var html = [];
			$.each(this.cityData, function(idx, item) {
				var className = idx == Top.idx ? 'point-index point-index-focus' : 'point-index';
				html.push([
					'<a class="' + className + '">',
					'</a>'
				].join(''));
			});
			$('#point-index').html(html.join(''));
		},
		bindEvt: function() {
			//			Zepto('#weathh_main').tap(function() {
			//				Top.showNext(1);
			//			});
			//			$.swipe($('#weathh_main')[0], 'H', function(_dir) {
			//				if (_dir > 0) { //right
			//					Top.showNext(-1);
			//				} else { //left
			//					Top.showNext(1);
			//				}
			//			});
			Zepto('#goTo').on('touchend', function(e) {
				window.location.href = 'choose_editor.html'
			});
		},
		showNext: function(offset) {
			var city = '';
			if (this.cityData.length < 2) {
				return;
			}
			$('.header_bottom a').eq(this.idx).removeClass('point-index-focus');
			this.idx = offset;
			$('.header_bottom a').eq(this.idx).addClass('point-index-focus');
			Wea.page = 1;
			Wea.historyPageData = [];
			city = Top.cityData[Top.idx];
			localStorage.setItem('globalCity', city);
			this.showCity(city);
			Wea.refresh();
			Wea.getAll(city);
			Wea.getHistory24h(city);
		},
		checkUpdate: function() {
			if (Wea.flag && Rec.flag) {
				Wea.flag = false;
				Rec.flag = false;
				document.getElementById('pullDown').style.display = 'none';
			}
		}
	};

	var Rec = {
		flag: false,
		data: [],
		idx: 0,
		getData: function() {
			if (indexRec && indexRec.length > 0) {
				this.data = indexRec;
				this.show();
			} else {
				var that = this;
				url = 'http://ott.atianqi.com:7030/getlistingobjs',
					params = {
						"reqhead": {
							"servicecode": "OTTTV"
						},
						"reqbody": {
							"parentcode": "x_indexGg",
							"page_no": "1",
							"page_size": "999"
						}
					};
				$.ajax({
					type: "post",
					url: url,
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(params),
					success: function(_data) {
						if (_data.resphead.resultcode == '0000') {
							that.data = _data.respbody.listingobjects;
							that.show();
							//that.saveRec();
						}
					},
					timeout: 15000
				});
			}
		},
		saveRec: function() {
			var idx = 0,
				tmpData = $.deepCopy(Rec.data);
			var save = function() {
				api.imageCache({
					url: tmpData[idx].logourl
				}, function(ret, err) {
					if (ret) {
						if (idx == Rec.data.length - 1) {
							localStorage.setItem('indexRec', JSON.stringify(tmpData));
							save = null;
							return;
						}
						tmpData[idx++].logourl = ret.url;
						save();
					}
				});
			}
			if (window.api) {
				save();
			} else {
				localStorage.setItem('indexRec', JSON.stringify(this.data));
			}
		},
		show: function() {
			var html = [],
				href = '',
				param = '',
				recUrl = '';
			$.each(this.data, function(idx, item) {
				href = 'articleDetail.html?id=' + item.id + '&servicetype=' + item.servicetype + '&code=x_indexGg' + '&tabName=' + encodeURIComponent('首页');
				if (item.servicetype == 4) {
					recUrl = (item.imagesubcontent[0] && item.imagesubcontent[0].url) || item.logourl;
				} else {
					recUrl = item.logourl;
					if(item.properties[0].type){
						href = 'luck_draw';
					}
				}
				html.push([
					'<li>',
					'<a data-href="' + href + '">',
					'<img src="' + recUrl + '" style="width:90%;" alt="' + item.viewpoint + '" />',
					'</a>',
					'</li>'
				].join(''));
			});
			$('#slides').html(html.join(''));
			myScroll && myScroll.refresh();
			Zepto('#slides a').on('tap', function(e) {
				//0805add
				td.onEvent({
				    eventId:'天气-首页banner点击数',
				    eventLabel:'首页banner点击数',
				    parameters:{
				        category:'首页banner点击数'
				    }
				});
				td.onPageEnd({pageName:'天气'});
				var href = $(this).attr('data-href');
				//				window.location.href = href;
				if(href == 'luck_draw'){
					location.href = 'luck_draw.html';
				}else{
					goDetail(href);
				}
				
			});
			this.effect();
		},
		effect: function() {
			var animation_0 = this.data.length > 1 ? 'slide' : 'fade';
			flexslider = $('#flexslider').flexslider({
				animation: animation_0,
				slideshowSpeed: 3000,
				manualControls: false,
				pauseOnAction: false,
				pauseOnHover: false,
				after: function(obj) {
					Rec.idx = obj.currentSlide;
					this.slideshow = true;
					this.pause = false;
					//					$(this).play();
					//console.log(obj.currentSlide);
				}
			});
		},
		getRecArt: function(lifeindex, tag, artId) {
			var city = localStorage.getItem('globalCity');
			if (globalWea[city] && globalWea[city].now[lifeindex]) {
				$('#' + artId).html(globalWea[city].now[lifeindex].right);
				if (artId == 'recArt-' + Top.idx) {
					if (globalWea[city].now[lifeindex].right) {
						$('#recIcon-' + Top.idx).css('display', 'inline-block');
					} else {
						$('#recIcon-' + Top.idx).css('display', 'none');
						$('#recArt').html('');
					}
				} else if (artId != 'tipTxt_suggestion_' + Top.idx) {
					$('#' + artId).parent().parent().next().attr('data-href',
						globalWea[city].now[lifeindex].left);
				}
				if (artId == 'txt_travel') {
					Rec.bindEvt();
				}
			} else {
				var that = this;
				url = 'http://ott.atianqi.com:7030/gettagrelate',
					params = {
						"reqhead": {
							"servicecode": "OTTTV"
						},
						"reqbody": {
							"lifeindex": lifeindex,
							"tag": tag
						}
					};
				$.ajax({
					type: "post",
					url: url,
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(params),
					timeout: 15000,
					success: function(_data) {
						if (_data.resphead.resultcode == '0000') {
							var list = _data.respbody.listingobjects;
							if (list.length > 0) {
								if (artId == 'recArt-' + Top.idx) {
									$('#recIcon-' + Top.idx).css('display', 'inline-block');
								}
								var tmpData = list[0],
									title = tmpData.titlecn,
									id = tmpData.id,
									servicetype = tmpData.servicetype,
									type = lifeindex,
									href = '',
									href_number = '',
									param = '',
									param_number = '',
									anchor = '',
									anchor_number = '';
								globalWea[city].now[lifeindex] = {};
								if (artId == 'recArt-' + Top.idx || artId == 'tipTxt_suggestion_' + Top.idx) {
									href = 'articleDetail.html?id=' + id + '&servicetype=' + servicetype + '&code=x_indexGg' + '&tabName=' + encodeURIComponent('首页');
									$('#recIcon-' + Top.idx).attr('data-href', href);
								} else {
									href_number = 'exponent_detail.html?lifeindex=' + lifeindex + '&type=' + type + '&tag=' + tag;
									href = 'articleDetail.html?id=' + id + '&servicetype=' + servicetype + '&code=x_indexGg' + '&tabName=' + encodeURIComponent('首页');
									globalWea[city].now[lifeindex].left = href_number;
									$('#' + artId).parent().parent().next().attr('data-href', href_number);
								}
								anchor = '<a data-href="' + href + '">' + title + '</a>';
								//alert(lifeindex);
								globalWea[city].now[lifeindex].right = anchor;
								//globalWea[city].now[lifeindex] = anchor;
								localStorage.setItem('globalWeaData', JSON.stringify(globalWea));
								$('#' + artId).html(anchor);
							} else {
								if (artId == 'recArt-' + Top.idx) {
									$('#recIcon').css('display', 'none');
									$('#recArt').html('');
								}
								$('#' + artId).html('');
							}
							if (artId == 'txt_travel') {
								Rec.flag = true;
								Top.checkUpdate();
							}
							Rec.bindEvt();
						}
					}
				});
			}
		},
		bindEvt: function() {
			var goNext = function() {
				var h = $(this).attr('data-href') ||
					$(this).find('a').eq(0).attr('data-href');
				if (h && $(this).attr('class') == 'number_left') {
					goExponent(h);
				} else {
					goDetail(h);
				}
			};
			Zepto('#tipTxt_suggestion_' + Top.idx).off('tap');
			Zepto('#tipTxt_suggestion_' + Top.idx).on('tap', goNext);
			Zepto('.number_left').off('tap');
			Zepto('.number_left').on('tap', goNext);
			Zepto('.list_txt').off('tap');
			Zepto('.list_txt').on('tap', goNext);
			Zepto('#recIcon-' + Top.idx).off('tap');
			Zepto('#recIcon-' + Top.idx).on('tap', goNext);
			Zepto('#recArt-' + Top.idx + ' a').off('tap');
			Zepto('#recArt-' + Top.idx + ' a').on('tap', goNext);
		}
	};

	var Wea = {
		refreshTime: 6,
		refreshFlag: false,
		flag: false,
		data: null,
		aqPics: ['优', '良', '轻度污染', '中度污染', '重度污染', '严重污染'],
		historyData: [],
		historyPageData: [],
		page: 1,
		totalPage: 5,
		pageSize: 5,
		xhrAll: null,
		xhrHours: null,
//		refreshActivityTime: 24,
		init: function() {
			this.initWeaMain();
			this.bindEvt();
			this.refresh();
			this.getAll(city);
			this.getHistory24h(city);
		},
		initWeaMain: function() {
			var html = [];
			$.each(Top.cityData, function(idx, item) {
				html.push([
					'<div>',
					'<section class="weathh_main pr">',
					'<article class="weather_main_notice po">',
					'<div class="notice_tit air_ico_bg f24 fcolor margin_bottomj3" id="aq-color-' + idx + '">',
					'<img src="images/index/san_ico.png"/>',
					'<span id="air_quality_' + idx + '"></span>',
					'<div class="coner" id="aq-coner-' + idx + '"></div>',
					'</div>',
					'<hgroup class="weather_meth f24 fhcolor margin_bottom10 pr">',
					'<img src="images/index/turn_ico.png" class="tip_arrow"/>',
					'<span id="tipTxt_suggestion_' + idx + '" class="tip_words"></span>',
					'</hgroup>',
					'<div class="notice_tit aragm f24 fcolor margin_bottomj3" id="warn-ico-' + idx + '">',
					'<img class="aragm-img" id="aragm-img-' + idx + '" />',
					'<span class="aragm-info">预警信息</span>',
					'</div>',
					'<hgroup class="weather_meth aragm-tip f24 fhcolor pr" style="display: none;" id="warn-txt-' + idx + '">',
					'<img src="images/index/turn_ico.png"/>',
					'<span id="tipTxt_alarms_' + idx + '"></span>',
					'</hgroup>',
					'</article>',
					'<aside class="tom_tod po">',
					'<figcaption class="today left pr">',
					'<img class="po tody_img" alt="" src="weaIcon/4.png" width="100" height="100" id="weaIcon-today-' + idx + '"/>',
					'<h1 class="po today_f1 f36 fcolor"><span class="f18" id="today-time-' + idx + '"></span><br/><span id="temperature-' + idx + '"></span><br/><span id="text-' + idx + '"></span></h1>',
					'<h2 class="po today_f2 f24 fcolor" style="width:100%">今天 / <span id="today-' + idx + '"></span>',
					'<br/>',
					'<span id="text-future-0-' + idx + '" class="tempInfo"></span>',
					'<img id="icon-future-0-' + idx + '" src="weaIcon/4.png" class="tempIcon"/>',
					//										'<div id="icon-future-0-'+idx+'" class="tempIcon"></div>',
					'<span id="temp-future-0-' + idx + '" class="tempInfo"></span>',
					'<br/>',
					'<br/>',
					'<img src="images/index/tuij.png" style="display: none; float:left; margin-top:3px; width:15px; height:15px;" id="recIcon-' + idx + '"/>',
					'<span id="recArt-' + idx + '" class="recArtInfo"></span>',
					'</h2>',
					'</figcaption>',
					'<figcaption class="tomorrw pr">',
					'<img class="po tomorrow_pic" src="weaIcon/4.png" width="64" height="63" id="icon-future-1-' + idx + '"/>',
					'<h2 class="po tomorrow_f1 align_r f24 fcolor">明天',
					'<br/><span id="text-future-1-' + idx + '"></span>',
					'<br/><span id="temp-future-1-' + idx + '"></span>',
					'</h2>',
					'</figcaption>',
					'<figcaption class=" po sms_ass" style="bottom: -30px;">',
					'<a href="javascript:;" class="smsHelper">',
					'<img style="width:54px; height:54px;" src="images/index/dxzs.png">',
					'</a>',
					'</figcaption>',
					'<div id="toToday-' + idx + '"></div>',
					'<div id="toTomorrow-' + idx + '"></div>',
					'</aside>',
					'</section>',
					'</div>'
				].join(''));
			});
			$('#slides-wea').html(html.join(''));
			this.effect();
			setTimeout(function() {
				loaded();
			}, 2000);
			//this.addIs();
		},
		refresh: function() {
			var time = new Date(new Date().format("yyyy/MM/dd hh:mm:ss")).getTime(),
				update = 0,
				refreshTime = this.refreshTime * 60 * 60 * 1000,
				refreshActivityTime = this.refreshActivityTime * 60 * 60 * 1000,
				pullDownEl = document.getElementById('pullDown');
			if (globalWea[city]) {
				update = new Date(globalWea[city].update).getTime();
				if (time - update >= refreshTime || isExit == 'Y') {
					localStorage.setItem('isExit', '');
					globalWea[Top.cityData[Top.idx]] = null;
					pullDownEl.style.display = 'block';
					pullDownEl.className = 'loading';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '刷新中...';
				}
//				if (time - update >= refreshActivityTime) {
//					$('#lottery_activity').show();
//					$('#mask').show();
//				}
			}
		},
		effect: function() {
			window.mySlide = Swipe($("#slide")[0], {
				auto: 0,
				continuous: false,
				startSlide: Top.idx,
				disableScroll: true,
				stopPropagation: false,
				callback: function(index, element) {
					Top.showNext(index);
				},
				transitionEnd: function(index, element) {

				}
			});
		},
		getAll: function(city) {
			if (globalWea[city] && globalWea[city].now) {
				this.data = globalWea[city].now;
				this.showTop(city);
				this.showToday(city);
				this.showFiveDays(city);
			} else {
				//(this.xhrAll && this.xhrAll.abort());
				var url = 'https://api.thinkpage.cn/v2/weather/all.json?city=' + city + '&language=zh-chs&unit=c&aqi=city&key=ZOGXQXGJFP',
					that = this;
				this.xhrAll = $.ajax({
					type: "get",
					url: url,
					timeout: 15000,
					success: function(_data) {
						if (_data.status.toLowerCase() == 'ok') {
							that.data = _data.weather[0];
							if (!globalWea[city]) {
								globalWea[city] = {};
							}
							globalWea[city].now = that.data;
							globalWea[city].update = new Date().format("yyyy/MM/dd hh:mm:ss");
							localStorage.setItem('globalWeaData', JSON.stringify(globalWea));
							//							localStorage.setItem('globalWea', JSON.stringify(that.data));
							that.showTop(city);
							that.showToday(city);
							that.showFiveDays(city);
							//							myScroll.refresh();
							Wea.flag = true;
							Top.checkUpdate();
						}
						Wea.xhrAll = null;
					}
				});
			}
		},
		getHistory24h: function(city) {
			if (globalWea[city] && globalWea[city].future) {
				this.historyData = globalWea[city].future;
				this.makeData();
				this.showTemperature();
				this.showTime();
				this.showWeaPlace();
			} else {
				(this.xhrHours && this.xhrHours.abort());
				var url = 'https://api.thinkpage.cn/v2/weather/future24h.json?city=' + city + '&language=zh-chs&key=ZOGXQXGJFP',
					that = this;
				this.xhrHours = $.ajax({
					type: "get",
					url: url,
					timeout: 15000,
					success: function(_data) {
						if (_data.status.toLowerCase() == 'ok') {
							that.historyData = _data.hourly;
							if (!globalWea[city]) {
								globalWea[city] = {};
							}
							globalWea[city].future = that.historyData;
							localStorage.setItem('globalWeaData', JSON.stringify(globalWea));
							that.makeData();
							that.showTemperature();
							that.showTime();
							that.showWeaPlace();
						}
						Wea.xhrHours = null;
					}
				});
			}
		},
		makeData: function() {
			for (var i = 0; i < this.totalPage; ++i) {
				this.historyPageData.push(this.historyData.slice(i * this.pageSize,
					i * this.pageSize + this.pageSize));
			}
		},
		showNext: function(offset) {
			this.page += offset;
			if (this.page > this.totalPage) {
				this.page = 1;
			} else if (this.page < 1) {
				this.page = this.totalPage;
			}
			this.showTime();
			this.showWeaPlace();
		},
		showTime: function() {
			var pageData = [],
				tmpTime = '',
				time = '';
			for (var i = 0; i < 5; ++i) {
				pageData = this.historyPageData[this.page - 1];
				if (i < pageData.length) {
					tmpTime = pageData[i].time.split('T')[1].split('+')[0].split(':');
					time = tmpTime[0] + ':' + tmpTime[1];
					$('#time_' + i).html(time);
				} else {
					$('#time_' + i).html('');
				}
			}
		},
		showTemperature: function() {
			this.high = this.getRangeTemp().high,
			this.low = this.getRangeTemp().low,
			this.mid = this.high - Math.ceil((this.high - this.low) / 2);
			$('#high').html(this.high + '℃');
			$('#mid').html(this.mid + '℃');
			$('#low').html(this.low + '℃');
		},
		getRangeTemp: function() {
			var tempData = $.deepCopy(this.historyData, []);
			tempData.sort(function(v1, v2) {
				return parseInt(v1.temperature, 10) -
					parseInt(v2.temperature, 10);
			});
			return {
				low: tempData[0].temperature,
				high: tempData[tempData.length - 1].temperature
			};
		},
		showWeaPlace: function() {
			var start = 65,
				space = 71,
				data = this.historyPageData[this.page - 1],
				temperature = 0,
				top = 0,
				that = this;
			if (data.length < this.pageSize) {
				for (var i = data.length; i < this.pageSize; ++i) {
					$('#weaTip_' + i).hide();
				}
			}
			$.each(data, function(idx, item) {
				temperature = item.temperature;
				if (temperature >= that.mid) {
					top = space - space / (that.high - that.mid) * (temperature - that.mid) + 'px';
				} else {
					top = space + (space - space / (that.mid - that.low) * (temperature - that.low)) + 'px';
				}
				var tmpCode = item.code;
				if (tmpCode === '0' || tmpCode === '1' || tmpCode === '2' || tmpCode === '3') {
					var tmpTime = data[idx].time.split('T')[1].split('+')[0].split(':');
					var iTime = parseInt(tmpTime[0]);
					if ((iTime >= 20 && iTime <= 24) || (iTime >= 0 && iTime <= 5)) {
						tmpCode = 'qing';
					}
				}
				$('#weaTip_' + idx + ' img')[0].src = 'weaIcon/' + tmpCode + '.png';
				$('#weaTip_' + idx + ' span').eq(0).html(item.text);
				$('#weaTip_' + idx).show().css('-webkit-transform', 'translateY(' + top + ')');
				if (idx == 0) {
					if (that.page == 1) {
						$('#weaTip_' + idx).addClass('time_bg2');
						$('#weaTip_' + idx + ' span').eq(1).html(temperature + '℃');
						$('#time_' + idx).addClass('weFocus');
					} else {
						$('#weaTip_' + idx).removeClass('time_bg2');
						$('#weaTip_' + idx + ' span').eq(1).html('');
						$('#time_' + idx).removeClass('weFocus');
					}
				}
			});
		},
		getAralm: function(city) {
			var url = 'http://ott.atianqi.com:7030/getweatherwarning';
			var params = {
				"reqhead": {
					"servicecode": "OTTTV",
					"distributor": "SNM",
					"clienttype": "PC",
					"clientid": "JHSG7328f",
					"clientver": "1.0.1",
					"devicetype": "",
					"clientos": "andiod_4.3.1"
				},
				"reqbody": {
					"cityname": city,
					"querydate": new Date().format("yyyy-MM-dd hh:mm:ss")
				}
			};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				dataType: 'json',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resphead.resultCode === '0000') {
						if (data.respbody[0]) {
							$('#warn-ico-' + Top.idx).show();
							$('#warn-txt-' + Top.idx).show();
							var warning = data.respbody[0];
							if (warning.alarmLevel === '橙色') {
								$('#aragm-img-' + Top.idx).attr('src', 'image/yj_0.png');
							} else if(warning.alarmLevel === '白色') {
								$('#aragm-img-' + Top.idx).attr('src', 'image/yj_1.png');
							} else if(warning.alarmLevel === '红色') {
								$('#aragm-img-' + Top.idx).attr('src', 'image/yj_2.png');
							} else if(warning.alarmLevel === '黄色') {
								$('#aragm-img-' + Top.idx).attr('src', 'image/yj_3.png');
							} else if(warning.alarmLevel === '蓝色') {
								$('#aragm-img-' + Top.idx).attr('src', 'image/yj_4.png');
							}
							//$('#tipTxt_alarms_' + Top.idx).html('<a href="early_warning.html?city=' + encodeURIComponent(city) + '">' + warning.alarmName + warning.alarmLevel + '警告</a>');
							$('#tipTxt_alarms_' + Top.idx).html(warning.alarmName + warning.alarmLevel + '警告');
						}
					}
				},
				error: function(data) {}
			});
		},
		showTop: function(city) {
			this.getAralm(city);
			//alert(city);
			var that = this,
				tempData = (globalWea[city] && globalWea[city].now) || this.data,
				nowData = tempData.now,
				alarms = '',
				aq = nowData.air_quality.city.quality,
				idx = this.aqPics.indexOf(aq),
				cls_coner = $.trim($('#aq-coner-' + Top.idx).attr('class').replace(/coner-\d/g, '')),
				cls_color = $.trim($('#aq-color-' + Top.idx).attr('class').replace(/bcolor-\d/g, ''));
			$('#aq-coner-' + Top.idx).attr('class', cls_coner + ' coner-' + idx)
			$('#aq-color-' + Top.idx).attr('class', cls_color + ' bcolor-' + idx);
			$('#air_quality_' + Top.idx).html('空气质量:' + aq); //当天空气质量
			Rec.getRecArt('quality', nowData.air_quality.city.quality, 'tipTxt_suggestion_' + Top.idx);
			if (nowData.alarms && nowData.alarms.length > 0) {
				//				$('#warn-ico-' + Top.idx).css('display', 'inline-block');
				//				$('#warn-txt-' + Top.idx).show();
				//				alarms = nowData.alarms[0].type +
				//					nowData.alarms[0].level;
				//				$('#alarms-' + Top.idx).html(alarms + '预警');
				//				Rec.getRecArt('alarms', alarms, 'tipTxt_alarms_' + Top.idx);
			}
			$('#weaIcon-today-' + Top.idx)[0].src = 'weaIcon/' + nowData.code + '.png';
			$('#temperature-' + Top.idx).html(nowData.temperature + '℃'); //当天温度
			$('#text-' + Top.idx).html(nowData.text); //当天天气情况
			Rec.getRecArt('weather', nowData.text, 'recArt-' + Top.idx);
			var dateTemp = globalWea[city].update.split(' ')[0].split('/'),// tempData.last_update.split('T')[0].split('-'),
				timeTemp = globalWea[city].update.split(' ')[1].split(':');//tempData.last_update.split('T')[1].split(':');
			$('#today-' + Top.idx).html(dateTemp[1] + '-' + dateTemp[2]);
			$('#today-time-' + Top.idx).html(timeTemp[0] + ':' + timeTemp[1] + '更新'); //当天日期
			var ids = [{
				text: 'text-future-0-' + Top.idx,
				icon: 'icon-future-0-' + Top.idx,
				temp: 'temp-future-0-' + Top.idx
			}, {
				text: 'text-future-1-' + Top.idx,
				icon: 'icon-future-1-' + Top.idx,
				temp: 'temp-future-1-' + Top.idx
			}];
			$.each(ids, function(index, item) {
				var _data = tempData.future[index];
				$('#' + item.text).html(_data.text);
				$('#' + item.icon)[0].src = 'weaIcon/' + _data.code1 + '.png';
				//				$('#' + item.icon).css('background-image', 'url(' + 'weaIcon/' + _data.code1 + '.png' + ')');
				$('#' + item.temp).html(_data.low + '-' + _data.high + '℃');
			});
			var ids_suggestion = ['dressing', 'flu', 'uv', 'sport', 'travel'],
				brief = '',
				href_number = '';
			if (tempData.today.suggestion) {
				$.each(ids_suggestion, function(idx, item) {
					brief = tempData.today.suggestion[item].brief;
					$('#' + item).html(brief);
					href_number = 'exponent_detail.html?id=&type=' + item;
					$('#' + item).parent().next().attr('data-href', href_number);
					Rec.getRecArt(item, brief, 'txt_' + item);
				});
			}
		},
		showToday: function(city) {
			var tempData = (globalWea[city] && globalWea[city].now) || this.data,
				todayData = tempData.today,
				nowData = tempData.now;
			var getSunTime = function(time) {
				var split = '',
					tmpTime = '';
				if (/AM/.test(time)) {
					split = 'AM';
				} else {
					split = 'PM';
					tmpTime = time.split(':')[0];
					time = 12 + parseInt(tmpTime, 10) + ':' + time.split(':')[1];
				}
				time = time.split(split)[0].replace(/\s+/g, '');
				return time;
			};
			$('#sunrise-today').html(getSunTime(todayData.sunrise));
			$('#sunset-today').html(getSunTime(todayData.sunset));
			if (todayData.suggestion) {
				$('#uv-today').html(todayData.suggestion.uv.brief);
			}
			$('#feelTemp-today').html(nowData.feels_like + '℃');
			$('#pressure-today').html(nowData.pressure + 'hPa');
			$('#visibility-today').html(nowData.visibility + 'km');
			$('#temp-today').html(nowData.humidity + '%');
			$('#wind-direction-today').html(nowData.wind_direction + '风' + nowData.wind_scale + '级');
		},
		showFiveDays: function(city) {
			var tempData = (globalWea[city] && globalWea[city].now) || this.data,
				futureData = tempData.future,
				html = [];
			$.each(futureData, function(idx, item) {
				if (idx < 5) {
					var otherDays = ['今天', '明天'],
						day = otherDays[idx] || futureData[idx].day,
						date = item.date.split('-')[1] + '-' + item.date.split('-')[2],
						weaIcon = 'weaIcon/' + item.code1 + '_s.png',
						text = item.text,
						temp = item.low + '-' + item.high + '℃',
						className = '';
					if (idx == 0) {
						className = 'tab_one border_bottom_block tab_one_focus';
					} else {
						className = 'tab_one border_bottom_block';
					}
					html.push([
						'<dl class="' + className + '">',
						'<dt class="f16 fhcolor">',
						'<span>' + day + '&nbsp;</span>',
						'<span class="f16 fhcolor">' + date + '</span>',
						'</dt>',
						'<dd class="f16 fhcolor" style="text-align: left; width: 38%">',
						'<img class="margin_right10" width="16" height="15" src="' + weaIcon + '">',
						'<span>' + text + '</span>',
						'</dd>',
						'<dd class="f16 fhcolor" style="width: 29%">',
						temp,
						'</dd>',
						'</dl>'
					].join(''));
				}
			});
			$('#fiveDays').html(html.join(''));
		},
		bindEvt: function() {
			Zepto('#toToday').on('tap', function() {});
			Zepto('#toTomorrow').on('tap', function() {});
			Zepto('.smsHelper').on('tap', function() {
				//0820add首页栏目短信预订
				td.onEvent({
				    eventId:'首页短信助手',
				    eventLabel:'首页短信助手',
				    parameters:{
				        category:'首页短信助手'
				    }
				});
				td.onPageEnd({pageName:'天气'});
				var isLogin = localStorage.getItem('meiWe_isLogin'),
					href = '';
				if (isLogin == 'Y') {
					href = 'sms_sub.html';
				} else {
					href = 'personal_login.html';
				}
				location.href = href;
			});
			Zepto(".mian_tab_nav li").on('touchend', function() {
				td.onEvent({
					eventId:'天气24小时-5天预报点击数',
					eventLabel:'天气24小时-5天预报点击数',
					parameters:{
						category:'天气24小时-5天预报点击数'
					}
				});
					td.onPageEnd({pageName:'天气'});
				$(".mian_tab_nav li").eq($(this).index()).addClass("cur").siblings().removeClass('cur');
				$(".main_tab_txt").hide().eq($(this).index()).show();
			});
			Zepto('#24h').tap(function() {
				Wea.showNext(1);
			});
			$.swipe($('#24h')[0], 'H', function(_dir) {
				if (_dir > 0) { //right
					Wea.showNext(-1);
				} else { //left
					Wea.showNext(1);
				}
			});
		}
	};

	var Footer = {
		init: function() {
			var that = this;
			$('#list-footer li').on('touchend', function() {
				var index = $(this).index();
				that.goTo(index);
				//0804add
				td.onEvent({
					eventId:'天气频道',
					eventLabel:'首页频道',
					parameters:{
					category:'天气'
					}
				});
				td.onPageEnd({pageName:'频道'});

			});
		},
		goTo: function(index) {
			if (index == 3) {
				
				window.location.href = 'personal_my.html'
			}
			//0804add
			td.onEvent({
				eventId:'我的频道',
				eventLabel:'首页频道',
				parameters:{
				category:'我的'
				}
			});
			td.onPageEnd({pageName:'频道'});

		}
	};

	Top.init();
	Rec.getData();
	Wea.init();
	Footer.init();
	var jpush = null;
	var backTime = 0;


	function loaded() {
		var stepX = 0;
		pullDownEl = document.getElementById('pullDown');
		pullDownOffset = pullDownEl.offsetHeight;
		myScroll = new iScroll('is', {
			//vScrollbar: false,
			hideScrollbar: true,
			useTransition: true,
			topOffset: pullDownOffset,
			onRefresh: function() {
				if (pullDownEl.className.match('loading')) {
					pullDownEl.className = '';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新数据...';
					pullDownEl.style.display = 'none';
				}
			},
			onScrollMove: function() {
				stepX = this.y;
				if (this.y > 30 && !pullDownEl.className.match('flip')) {
					pullDownEl.style.display = 'block';
					pullDownEl.className = 'flip';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '松开刷新数据...';
					this.minScrollY = 0;
				} else if (this.y < 30 && pullDownEl.className.match('flip')) {
					pullDownEl.style.display = 'block';
					pullDownEl.className = '';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新数据...';
					this.minScrollY = -pullDownOffset;
				}
			},
			onScrollEnd: function() {
				if (stepX == 0) {
					return;
				}
				if (pullDownEl.className.match('flip')) {
					pullDownEl.className = 'loading';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '刷新中...';
					globalWea[Top.cityData[Top.idx]] = null;
					var td = api.require('talkingData');
					td.onEvent({
					    eventId:'首页下拉刷新'
					});
					Wea.getAll(Top.cityData[Top.idx]);
					Wea.getHistory24h(Top.cityData[Top.idx]);
				} else {
					pullDownEl.style.display = 'none';
				}
			}
		});
		setTimeout(function() {
			document.getElementById('is').style.left = '0';
		}, 800);
	}


	var goDetail = function(params) {
		var id = $.getQueryStr(params, 'id'),
			servicetype = $.getQueryStr(params, 'servicetype'),
			tabName = $.getQueryStr(params, 'tabName'),
			code = $.getQueryStr(params, 'code');
		api.openWin({
			name: 'articleDetail',
			url: 'articleDetail.html?id=' + id + '&servicetype=' + servicetype,
			pageParam: {
				id: id,
				servicetype: servicetype,
				tabName: tabName,
				code: code
			},
			animation: {
				type: "none"
			},
			vScrollBarEnabled: true,
			hScrollBarEnabled: false,
			slidBackEnabled: true,
			showProgress: true
		});
	};

	var goExponent = function(params) {
		var lifeindex = $.getQueryStr(params, 'lifeindex'),
			type = $.getQueryStr(params, 'type'),
			tag = $.getQueryStr(params, 'tag');
		api.openWin({
			name: 'exponentDetail',
			url: 'exponent_detail.html',
			pageParam: {
				type: type,
				lifeindex: lifeindex,
				tag: tag
			},
			animation: {
				type: "none"
			},
			vScrollBarEnabled: true,
			hScrollBarEnabled: false,
			slidBackEnabled: true,
			showProgress: true
		});
	}

	window.apiready = function() {
		$api.fixIos7Bar($api.byId('weath_header'));
		$api.fixIos7Bar($api.byId('goTo'));
		$api.fixIos7Bar($api.byId('share'));
		var isLogin = localStorage.getItem('meiWe_isLogin');
		var authorid = '';
		if(isLogin == 'Y'){
			var paramsObj = JSON.parse(localStorage.getItem('meiWe_login_params'));
			if (paramsObj) {
				authorid = paramsObj.userid || paramsObj.uid || paramsObj.openid || paramsObj.userID;
			}else{
				authorid = 'unLogin';
			}
		}else{
			authorid = 'unLogin';
		}
		openWin(authorid);
		$('#lottery_activity').on('touchend', function() {
			var	href = 'luck_draw.html';
			location.href = href;
			$('#lottery_activity').hide();
			$('#mask').hide();
		});
		//0805add
		td = api.require('talkingData');
			td.getDeviceID(function(ret,err){
			    if(ret){
			        //api.alert({msg: ret});
			        td.onPageStart({pageName:'天气'});
			    }
			});
		//$api.fixIos7Bar($api.byId('weather_nav'));
		//$api.fixIos7Bar($api.byId('is'));
		//0804add
		td = api.require('talkingData');
			td.getDeviceID(function(ret,err){
			    if(ret){
			        //api.alert({msg: ret});
			        td.onPageStart({pageName:'频道'});
			    }
			});
		
		//0812add
		td = api.require('talkingData');
			td.getDeviceID(function(ret,err){
			    if(ret){
			        //api.alert({msg: ret});
			        td.onPageStart({pageName:'分享'});
			    }
			});
		
		
		setTimeout(function() {
			$api.fixIos7Bar($api.byId('is'));
		}, 2000);
		/**2015-05-10临时修改，暂处理再次进入详情页时应用崩溃**/
		try {
			jgajpushList();
		} catch (e) {
			//TODO handle the exception
		}

		$('#list-footer li').off('on');
		$('#list-footer li').on('tap', function() {
			//0804add
			td.onPageEnd({pageName:'频道'});
			var activeIdx = $(this).index();
			switch (activeIdx) {
				case 1:
					api.closeFrameGroup({
							name: 'group'
						});
						//0804add
						td.onEvent({
							eventId:'生活频道',
							eventLabel:'首页频道',
							parameters:{
							category:'生活'
						}
					});
					td.onPageEnd({pageName:'频道'});
						
					api.openWin({
						name: 'liveIndex',
						url: 'live_index.html',
						vScrollBarEnabled: true,
						hScrollBarEnabled: false,
						slidBackEnabled: true,
						animation: {
							type: "none"
						},
						showProgress: false,
						reload: true
					});
					break;
				case 2:
					api.closeFrameGroup({
							name: 'group'
						});
						//0804add
						td.onEvent({
							eventId:'播报频道',
							eventLabel:'首页频道',
							parameters:{
							category:'播报'
						}
					});
					td.onPageEnd({pageName:'频道'});
						
						
					api.openWin({
						name: 'bb_index',
						url: 'bb_index.html',
						vScrollBarEnabled: true,
						hScrollBarEnabled: false,
						slidBackEnabled: true,
						animation: {
							type: "none"
						},
						showProgress: false,
						reload: true
					});
					break;
				default:
					break;
			}
		});

		$('#share').on('touchend', function() {
			//0812add
			td.onEvent({
				eventId:'天气分享人数',
				eventLabel:'天气分享人数',
				parameters:{
				category:'天气分享人数'
			}
				});
			td.onPageEnd({pageName:'分享'});
		
		
			$('#mess').show();
			$('#mask').show();
			$('#lottery_activity').hide();
			$('.mess_share_txt a').off('touchend');
			$('.mess_share_txt a').on('touchend', function(e) {
				var sysType = api.systemType;
					var lable = $(this).attr('data-lable');
					var wxShare = function(scene) {
						if (sysType == 'android') {
							var wxToken = localStorage.getItem('wxToken');
							if (wxToken) {
								WeiXin.sendReq(scene);
							} else {
								WeiXin.reg(scene);
							}
						} else {
							WeiXin.reg(scene);
						}
					};
					var qqShare = function(type) {
						var accessToken = localStorage.getItem('qqToken');
						var openId = localStorage.getItem('openId');
						if (accessToken && openId) {
							QQ.shareToqqnew(type);
						} else {
							QQ.startLogin(type);
						}
					}
					switch (lable) {
						case '1':
							var scene = 'session';
							wxShare(scene);
							break;
						case '2':
							var scene = 'timeline';
							wxShare(scene);
							break;
						case '3':
							var token = localStorage.getItem('accessToken');
							var uID = localStorage.getItem('userID');
							if (token && uID) {
								Sina.send();
							} else {
								Sina.auth();
							}
							break;
						case '4':
							var type = 'QFriend';
							qqShare(type);
							break;
						case '5':
							var type = 'QZone';
							qqShare(type);
							break;
						default:
							break;
					}
			});
		});

		api.addEventListener({
			name: 'keyback'
		}, function(ret, err) {
			if (ret.keyCode == 4) {
				var now = new Date().getTime();
				if (now - backTime > 2000) {
					tipAlert('再按一次退出美天天气');
					backTime = now;
				} else {
					localStorage.setItem('isExit', 'Y');
					api.closeWidget({
						silent: true
					});
				}
			}
		});

		$('#mask').on('touchend', function(e) {
			e.preventDefault();
			e.returnValue = false;
			$('#mess').hide();
			$('#mask').hide();
			$('#lottery_activity').hide();
		});

		try {
			jpush = api.require('ajpush');
			//			api.addEventListener({
			//				name: 'pause'
			//			}, function(ret, err) {
			//				onPause(); //监听应用进入后台，通知jpush暂停事件
			//			})
			//
			//			api.addEventListener({
			//				name: 'resume'
			//			}, function(ret, err) {
			//				onResume(); //监听应用恢复到前台，通知jpush恢复事件
			//			})
		} catch (e) {
			//TODO handle the exception
		}
	}
	
	function setCookie(name, value, expire) {     
  		window.document.cookie = name + "=" + escape(value) + ((expire == null) ? "" : ("; expires=" + expire.toGMTString()));  
	}
	
		
	function getCookie(Name) {
		var search = Name + "=";
		if (window.document.cookie.length > 0) {// if there are any cookies
			offset = window.document.cookie.indexOf(search);
			if (offset != -1) {// if cookie exists
				offset += search.length;
				// set index of beginning of value
				end = window.document.cookie.indexOf(";", offset)// set index of end of cookie value
				if (end == -1)
					end = window.document.cookie.length;
				return unescape(window.document.cookie.substring(offset, end));
			}
		}
		return null;
	}
	
		
	function register(userid , name) {
		var today = new Date();
		var expires = new Date();
		expires.setTime(today.getTime() + 1000 * 60 * 60 *24);
		setCookie(userid, name, expires);
	}

	  
	function openWin(userid) {
		var c = getCookie(userid);
		if (c != null) {
			return;
		}
		register(userid , 'luck');
		$('#mess').hide();
		$('#lottery_activity').show();
		$('#mask').show();
	}


	function tipAlert(msg) {
		api.toast({
			msg: msg,
			duration: 2000//,
			//location: 'middle'
		});
	}

	var Sina = {
		reg: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.cancelAuth(function(ret, err) {
				if (ret.status) {
					api.alert({
						msg: '登出成功'
					});
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		auth: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.auth(function(ret, err) {
				if (ret.status) {
					var token = ret.accessToken;
					var uID = ret.userID;
					localStorage.setItem('accessToken', token);
					localStorage.setItem('userID', uID);
					Sina.send();
				} else {
					api.alert({
						msg: 'auth----' + err.msg
					});
				}
			});
		},
		send: function() {
			var sinaWeiBo = api.require('sinaWeiBo'),
				imageUrl = 'widget://images/dx/mtapp_ico.png',
				contentType = 'text',
				description = '',
				title = '美天天气测试内容2',
				updateTemp = Wea.data.last_update.split('T')[0],
				month = parseInt(updateTemp.split('-')[1], 10),
				day = parseInt(updateTemp.split('-')[2], 10),
				futureData = Wea.data.future,
				today = futureData[0],
				tomorrow = futureData[1],
				afterT = futureData[2],
				text = '#美天天气#' + localStorage.getItem('globalCity') + '，今天' + today.text + '，' + today.low + '-' + 　today.high + '℃，' + today.wind + '；明天' + tomorrow.text + '，' + tomorrow.low + '-' + 　tomorrow.high + '℃，' + tomorrow.wind + '；后天' + afterT.text + '，' + afterT.low + '-' + 　afterT.high + '℃，' + afterT.wind + '；' + month + '月' + day + '日发布。@' + commTxt,
				thumbUrl = 'widget://images/dx/mtapp_ico.png',
				webpageUrl = web_page_url,
				jsonMedia = {
					title: title,
					description: description,
					thumbUrl: thumbUrl,
					webpageUrl: webpageUrl
				};
			sinaWeiBo.sendRequest({
				contentType: contentType,
				text: text,
				imageUrl: imageUrl,
				media: jsonMedia
			}, function(ret, err) {
				if (ret.status) {
					tipAlert('微博分享成功！');
					$('#mess').hide();
					$('#mask').hide();
				} else {
					tipAlert('微博分享失败！');
				};
			});
		},
		getSinaUserInfo: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.getUserInfo({}, function(ret, err) {
				if (ret.status) {
					//					api.alert({
					//						msg: '获取成功'
					//					});
					send();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		}
	};

	var WeiXin = {
		getUsersInfomation: function() {
			var weiXin = api.require('weiXin');
			weiXin.getUserInfo(function(ret, err) {
				if (ret.status) {
					WeiXin.sendReq(scene);
				} else {
					WeiXin.refresh();
					/*api.alert({
						msg: err.msg
					});*/
				}
			});
		},
		reg: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.registerApp(function(ret, err) {
				if (ret.status) {
					WeiXin.sendReq(scene);
				} else {
					api.alert({
						msg: '注册失败'
					});
				}
			});
		},
		loginWeiXin: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.auth(function(ret, err) {
				if (ret.status) {
					var token = ret.token;
					localStorage.setItem('wxToken', token);
					WeiXin.getUsersInfomation(scene);
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		sendReq: function(scene) {
			var weiXin = api.require('weiXin'),
				scene = scene,
				contentType = 'text',
				title = '美天天气',
				futureData = Wea.data.future,
				today = futureData[0],
				tomorrow = futureData[1],
				description = localStorage.getItem('globalCity') + '今天' + today.text + '，' + today.low + '-' + 　today.high + '℃；明天' + tomorrow.text + '，' + tomorrow.low + '-' + 　tomorrow.high + '℃。@' + commTxt,
				thumbUrl = 'widget://images/dx/mtapp_ico.png',
				contentUrl = web_page_url,
				contentUrlI = web_page_url,
				contentUrlV = web_page_url,
				URL = null;
			if (contentType == 'image') {
				URL = contentUrlI;
			} else if (contentType == 'video') {
				URL = contentUrlV;
			} else if (contentType == 'music') {
				URL = contentUrlM;
			} else {
				URL = contentUrl;
			}
			weiXin.sendRequest({
				scene: scene,
				contentType: contentType,
				title: title,
				description: description
					//thumbUrl: thumbUrl,
					//contentUrl: URL
			}, function(ret, err) {
				if (ret.status) {
					tipAlert('微信分享成功！');
					$('#mess').hide();
					$('#mask').hide();
				} else {
					tipAlert('微信分享失败！');
				};
			});
		},
		refresh: function() {
			var weiXin = api.require('weiXin');
			weiXin.refreshToken(function(ret, err) {
				if (ret.status) {
					WeiXin.loginWeiXin();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		}
	};

	var QQ = {
		startLogin: function() {
			var iaf = api.require('qq');
			iaf.login(function(ret, err) {
				if (ret.status) {
					var accessToken = ret.accessToken;
					var openId = ret.openId;
					localStorage.setItem('qqToken', accessToken);
					localStorage.setItem('openId', openId);
					QQ.shareToqqnew();
				} else {
					api.alert({
						title: 'id和token',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		},
		startLogout: function() {
			var iaf = api.require('qq');
			iaf.logout(function(ret, err) {
				if (ret.status) {
					localStorage.setItem('qqToken', '');
					localStorage.setItem('openId', '');
					api.alert({
						title: '取消授权',
						msg: '取消授权成功！',
						buttons: ['确定']
					});
				} else {
					api.alert({
						title: '取消授权',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		},
		shareToqqnew: function(type) {
			var iaf = api.require('qq'),
				title = '美天天气测试',
				futureData = Wea.data.future,
				today = futureData[0],
				tomorrow = futureData[1],
				description = localStorage.getItem('globalCity') + '今天' + today.text + '，' + today.low + '-' + 　today.high + '℃；明天' + tomorrow.text + '，' + tomorrow.low + '-' + 　tomorrow.high + '℃。@' + commTxt;
			iaf.shareNews({
				url: 'http://www.atianqi.com',
				title: title,
				description: description,
				imgUrl: 'http://www.atianqi.com/images/logo.gif',
				type: type
			}, function(ret, err) {
				if (ret.status) {
					tipAlert('QQ分享成功！');
					$('#mess').hide();
					$('#mask').hide();
				} else {
					tipAlert('QQ分享失败！');
				}
			});
		},
		shareToqqtext: function() {
			var iaf = api.require('qq');
			iaf.shareText({
				text: '@美天天气'
			}, function(ret, err) {
				if (ret.status) {
					api.alert({
						title: '文本分享',
						msg: '分享成功！',
						buttons: ['确定']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							$('#mess').hide();
							$('#mask').hide();
						}
					});
				} else {
					api.alert({
						title: '文本分享',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		}
	};
});