$(function() {
	var User = {
		isLogin: '',
		init: function() {
			this.isLogin = localStorage.getItem('meiWe_isLogin');
			var loginParams = null,
				loginWay = '',
				timestamp = new Date().format("yyyyMMddhhmmss"),
				that = this;
			if (!this.isLogin) {
				$('#userName').html('未登录');
				//0819add-添加积分说明
				$('#score_jf').html('积分：0');
			} else {
				loginParams = JSON.parse(localStorage.getItem('meiWe_login_params'));
				loginWay = localStorage.getItem('meiWe_loginWay');
				if (loginWay == 'account') {
					var reg = /(\d{3})\d{4}(\d{4})/,
						useName = loginParams.username.replace(reg, "$1****$2");
					$('#userName').html(useName);
					if (!loginParams.usertoken || parseInt(loginParams.expiretime, 10) <
						parseInt(timestamp, 10)) { //登录
						this.toLogin(loginParams.username, loginParams.pwd, function() {
							that.getUserInfo(loginParams);
						});
					} else {
						this.getUserInfo(loginParams);
					}
				} else if (loginWay == 'qq') {
					$('#no_login')[0].src = loginParams.figureurl_qq_2;
					$('#userName').html(loginParams.nickname);
				} else if (loginWay == 'weiXin') {
					$('#no_login')[0].src = loginParams.headimgurl;
					$('#userName').html(loginParams.nickname);
				} else if (loginWay == 'weibo') {
					$('#no_login')[0].src = loginParams.avatar_hd;
					$('#userName').html(loginParams.name);
				}
//				var authorid = '';
//				if (loginParams) {
//					authorid = loginParams.userid || loginParams.uid || loginParams.openid || JSON.parse(localStorage.getItem('userID'));
//					authorid = authorid + "";
//					this.getUserAsset(authorid);
//				}
			}
			this.bindEvt();
		},
		getUserInfo: function(_loginParams) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = 'http://ott.atianqi.com:7033/getuserinfo',
				params = {
					"usertoken": _loginParams.usertoken,
					"msgname": "getuserinfo",
					"msgversion": "1.0.0",
					"transactionid": "12",
					"sender": "tianqi",
					"timestamp": timestamp
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
//					alert('userInfo:' + JSON.stringify(data));
					if (data.userinfo) {
						var useName = data.userinfo.username;
						var score = data.userinfo.integral;
						$('#userName').html(useName);
						if(score == null){
							score = 0;
						}
						$('#score_jf').html('积分：' + score);
						var img = new Image();
						img.onload = function() {
							$('#no_login')[0].src = data.userinfo.userlogo;
						}
						img.src = data.userinfo.userlogo;
						if(data.userinfo.usertype == 3){
							$('#vip_logo').css("visibility","visible");
							$('#vip_logo').on('tap', function(e) {
								tipAlert('VIP特权：上传视频播报（视频/图片）不需要通过审核。');							
							});
						}
					}
				}
			});
		},
//		getUserAsset: function(userid) {//签到天数
////			alert('userid:' + userid);
//			var url = 'http://ott.atianqi.com:7030/getUserAsset',
//			params = {
//				"reqhead":{
//					"servicecode": "OTTTV",
//			        "distributor": "SNM",
//			        "clienttype": "PC",
//			        "clientid": "JHSG7328f",
//			        "clientver": "1.0.1",
//			        "devicetype": "0",
//			        "clientos": "andiod_4.3.1"
//				}, 
//				"reqbody":{
//						"userId": userid,
//				        "type": "golds", 
//				        "optType": "1"
//				}
//			};
//			$.ajax({
//				type: "post",
//				url: url,
//				contentType: 'application/json;charset=UTF-8',
//				data: JSON.stringify(params),
//				success: function(data) {
//					if (data.resphead.resultcode == '0000') {
//						var signDays = data.respbody.ctnSignDays;
//						$('#sign_text').html('签到（'+ signDays +'天）');
//					}
////					alert(JSON.stringify(data));
//				},
//				error: function(data) {
////					alert('e:' + JSON.stringify(data));
//				}
//			});
//		},
//		isSign: function(userid) {//签到，如果当天已签到则返回-1
//			var url = 'http://ott.atianqi.com:7030/addUserAsset',
//			params = {
//				"reqhead":{
//					"servicecode": "OTTTV",
//      			"distributor": "SNM",
//					"clienttype": "PC",
//			        "clientid": "JHSG7328f",
//			        "clientver": "1.0.1",
//			        "devicetype": "",
//			        "clientos": "andiod_4.3.1"
//				}, 
//				"reqbody":{
//					"userId": userid,
//      			"type": "golds",
//      			"optType":'1',
//      			"assetAmount": "100",
//      			"senderCode": "wxgd"
//				}
//			};
//			$.ajax({
//				type: "post",
//				url: url,
//				contentType: 'application/json;charset=UTF-8',
//				data: JSON.stringify(params),
//				success: function(data) {
////					alert(JSON.stringify(data));
//					if (data.resphead.resultcode == '0000') {
//						if(data.respbody.ctnSignDays == -1){
//							tipAlert('今天已签到');
//						}else{
//							var signDays = data.respbody.ctnSignDays;
//							$('#sign_text').html('签到（'+ signDays +'天）');
//						}
//					}
//				},
//				error: function(data) {
////					alert('e:' + JSON.stringify(data));
//				}
//			});
//		},
		toLogin: function(userName, password, handler) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = 'http://ott.atianqi.com:7033/userlogin',
				params = {
					"logintype": 3,
					"username": userName,
					"passwd": password,
					"validnum": "002121",
					"msgname": "userlogin",
					"msgversion": "1.0.0",
					"transactionid": "12",
					"sender": "tianqi",
					"timestamp": timestamp
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						var loginParams = {
							username: userName,
							pwd: password,
							userid: data.usertoken.split('_')[0],
							usertoken: data.usertoken,
							expiretime: data.expiretime
						};
						localStorage.setItem('meiWe_login_params', JSON.stringify(loginParams));
						handler();
					}
				}
			});
		},
		bindEvt: function() {
			var that = this;
			$('#personal').on('tap', function() {
				if (that.isLogin == 'Y') {
					var loginWay = localStorage.getItem('meiWe_loginWay');
					if ('account' === loginWay) {
						window.location.href = 'accounts_and_safe.html';
					}
				} else {
					location.href = 'personal_login.html';
				}
			});
//			$('#sign').on('tap', function() {
//				if (that.isLogin == 'Y') {
//					var authorid = '';
//					var paramsObj = JSON.parse(localStorage.getItem('meiWe_login_params'));
//					var sinaId = JSON.parse(localStorage.getItem('userID'));
////					alert('sina:' + sinaId);
//					if (paramsObj) {
//						authorid = paramsObj.userid || paramsObj.uid || paramsObj.openid || sinaId;
//						authorid = authorid + "";
//					}
////					alert('authorid:' + authorid);
//					that.isSign(authorid);
//				} else {
//					location.href = 'personal_login.html';
//				}
//			});
			$('#personal_homepage').on('tap', function() {
				if (that.isLogin == 'Y') {
					api.openWin({
						name: 'home_page_window',
						url: 'home_page_window.html',
						vScrollBarEnabled: true,
						hScrollBarEnabled: false,
						slidBackEnabled: true,
						animation: {
							type: "movein",
							subType: "from_right",
							duration: 300
						},
						showProgress: false,
						reload: true
					});
				} else {
					location.href = 'personal_login.html';
				}
			});
			$('#broadcast').on('tap', function() {
				if (that.isLogin == 'Y') {
					var authorid = '';
					var paramsObj = JSON.parse(localStorage.getItem('meiWe_login_params'));
					if (paramsObj) {
						authorid = paramsObj.userid || paramsObj.uid || paramsObj.openid || paramsObj.userID;
					}

					if (authorid) {
						api.openWin({
							name: 'my_bb',
							url: 'my_bb.html',
							vScrollBarEnabled: true,
							hScrollBarEnabled: false,
							slidBackEnabled: true,
							pageParam: {
								userid: authorid,
								scrollTrue: true
							},
							animation: {
								type: "movein",
								subType: "from_right",
								duration: 300
							},
							showProgress: false,
							reload: true
						});
					}
				} else {
					location.href = 'personal_login.html';
				}
			});
			$('#smsHelper').on('tap', function() {
				//0820add我的栏目短信预订
//				td.onEvent({
//				    eventId:'短信助手点击数',
//				    eventLabel:'短信助手点击数',
//				    parameters:{
//				        category:'短信助手点击数'
//				    }
//				});
//				td.onPageEnd({pageName:'用户'});
			
				if (that.isLogin == 'Y') {
					location.href = 'sms_assis2.html';
				} else {
					location.href = 'personal_login.html';
				}
			});
			$('#myCollect').on('tap', function() {
				//0805add
//				td.onEvent({
//				    eventId:'用户-收藏人数',
//				    eventLabel:'用户-收藏人数',
//				    parameters:{
//				        category:'用户'
//				    }
//				});
//				td.onPageEnd({pageName:'用户'});
				if (that.isLogin == 'Y') {
					location.href = 'personal_my_collect.html';
				} else {
					location.href = 'personal_login.html';
				}
			});
			//0819add-添加积分说明跳转页面
//			$('#score_jf').on('tap', function() {
//				if (that.isLogin == 'Y') {
//					location.href = 'score_sm.html';
//				} else {
//					location.href = 'personal_login.html';
//				}
//			});
			
			
			$('#setting').on('tap', function() {
				window.location.href = 'set_up.html';
			});
			$('#dis').on('tap', function() {
				window.location.href = 'feedback_2.html';
				//0805add
				td.onEvent({
				    eventId:'用户-意见反馈人数',
				    eventLabel:'用户-意见反馈人数',
				    parameters:{
				        category:'用户'
				    }
				});
				td.onPageEnd({pageName:'用户'});
			});
		},
		toLogout: function() {
			var fn = {
					account: this.accountLogout,
					qq: this.qqLogout,
					weiXin: this.weiXinLogout,
					weibo: this.weiboLogout
				},
				loginWay = localStorage.getItem('meiWe_loginWay');
			fn[loginWay]();
		},
		accountLogout: function() {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				loginParams = JSON.parse(localStorage.getItem('meiWe_login_params')),
				url = 'http://ott.atianqi.com:7033/userlogout',
				params = {
					"msgname": "userlogout",
					"msgversion": "1.0.0",
					"transactionid": "12",
					"sender": "tianqi",
					"timestamp": timestamp,
					"userToken": loginParams.usertoken
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						$('#toPersonal').hide();
						User.logout();
					} else {
						alert(data.resultdesc);
					}
				}
			});
		},
		qqLogout: function() {
			var qq = api.require('qq');
			qq.logout(function(ret, err) {
				if (ret.status) {
					api.alert({
						msg: '退出成功'
					});
					User.logout();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		weiXinLogout: function() {
			var weiXin = api.require('weiXin');
			weiXin.cancelAuth(function(ret, err) {
				if (ret.status) {
					api.alert({
						msg: '退出成功'
					});
					User.logout();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		weiboLogout: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.cancelAuth(function(ret, err) {
				if (ret.status) {
					api.alert({
						msg: '登出成功'
					});
					User.logout();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		logout: function() {
			this.isLogin = '';
			localStorage.setItem('meiWe_isLogin', '');
			$('#no_login')[0].src = 'images/person/no_login.png';
			$('#userName').html('未登录');
		}
	};

	User.init();
});
var backTime = 0;
window.apiready = function() {
	$api.fixIos7Bar($api.byId('weath_header'));
	$api.fixIos7Bar($api.byId('personal_center'));
	//0805add
	td = api.require('talkingData');
		td.getDeviceID(function(ret,err){
			if(ret){
				//api.alert({msg: ret});
				td.onPageStart({pageName:'用户'});
			}
		});
			
	api.addEventListener({
		name: 'keyback'
	}, function(ret, err) {

		if (ret.keyCode == 4) {
			var now = new Date().getTime();
			if (now - backTime > 2000) {
				tipAlert('再按一次退出美天天气');
				backTime = now;
			} else {
				api.closeWidget({
					silent: true
				});
			}
		}
	});
}

function tipAlert(msg) {
	api.toast({
		msg: msg,
		duration: 2000//,
		//location: 'middle'
	});
}