(function($) {
	/**
	 * 获取url中param参数的值
	 * @param  {String} _url   当前url地址
	 * @param  {String} _param 获取参数的名字
	 * @return {String}        获取参数的值
	 */
	$.getQueryStr = function(_url, _param) {
		var rs = new RegExp("(^|)" + _param + "=([^\&]*)(\&|$)", "g").exec(_url),
			tmp;
		if (tmp = rs) {
			return tmp[2];
		}
		return "";
	}

	$.swipe = function(element, direction, callback) {
		var mv = 0,
			nv = 0,
			xStep = 0
		yStep_start = 0
		yStep_end = 0;
		var timerId = -1;
		element.onmousedown = element.ontouchstart = function(e) {
			var e = window.e || e;
			if (e.targetTouches) {
				if (direction == 'H') {
					nv = e.targetTouches[0].clientX;
					yStep_start = e.targetTouches[0].clientY;
				} else {
					nv = e.targetTouches[0].clientY;
				}
			} else {
				if (direction == 'H') {
					nv = e.pageX;
					yStep_start = e.pageY;
				} else {
					nv = e.pageY;
				}
			}

			element.onmousemove = element.ontouchmove = function(e) {
				var e = window.e || e;
				if (e.targetTouches) {
					if (direction == 'H') {
						mv = e.targetTouches[0].clientX;
						yStep_end = e.targetTouches[0].clientY;
						//						if (Math.abs(mv - nv) > 20) {
						//							if (yStep_end - yStep_start <= 30) {
						//								e.preventDefault();
						//							}
						//						}
					} else {
						mv = e.targetTouches[0].clientY;
					}
				} else {
					if (direction == 'H') {
						mv = e.pageX;
						yStep_end = e.pageY;
					} else {
						mv = e.pageY;
					}
				}

				window.clearTimeout(timerId);
				timerId = window.setTimeout(touchendPrivate, 200);

				document.onselectstart = function() {
					return false;
				};
				//e.preventDefault();
			};
		};

		function touchendPrivate() {
			if (Math.abs(yStep_end - yStep_start) <= 30) {
				if (mv > 0 && mv - nv > 10) {
					callback(1);
				} else if (mv > 0 && mv - nv < -10) {
					callback(-1);
				}
			}
			element.ontouchmove = null;
			element.onmousemove = null;
			document.onselectstart = null;
			mv = 0;
			nv = 0;
		}
			//		element.ontouchend = function(e) {
			//			if (Math.abs(yStep_end - yStep_start) <= 30) {
			//				if (mv > 0 && mv - nv > 10) {
			//			 		callback(1);
			//				} else if (mv > 0 && mv - nv < -10) {
			//				 	callback(-1);
			//				}
			//			}
			//			element.ontouchmove = null;
			//			element.onmousemove = null;
			//			document.onselectstart = null;
			//			mv = 0;
			//			nv = 0;
			//		};
	}

	Date.prototype.format = function(format) {
		var o = {
			"M+": this.getMonth() + 1, //路
			"d+": this.getDate(), //
			"h+": this.getHours(), //小时
			"m+": this.getMinutes(), //
			"s+": this.getSeconds(), //
			"S": this.getMilliseconds(), //
			"q+": Math.floor((this.getMonth() + 3) / 3),
			"w": "星期" + "日一二三四五六".charAt(this.getDay()),
		}
		if (/(y+)/.test(format)) format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
		for (var k in o)
			if (new RegExp("(" + k + ")").test(format)) format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
		return format;
	}
	
	$.deepCopy = function(p, c) {
　　　　var c = c || {};
　　　　	for (var i in p) {
　　　　　　	if (typeof p[i] === 'object') {
	　　　　　　c[i] = (p[i].constructor === Array) ? [] : {};
	　　　　　　arguments.callee(p[i], c[i]);
	　　　　} else {
　　　　　　　　c[i] = p[i];
	　　　　}
	　　}
		return c;
　　	};
}($));