var BaiduMap = {
	getLocation: function(callback) {
		var baiduLocation = api.require('baiduLocation');
		baiduLocation.getLocation(
			function(ret, err) {
				var sta = ret.status;
				var lat = ret.latitude;
				var lon = ret.longitude;
				var t = ret.timestamp;
				if (sta) {
					BaiduMap.getNameFromLocation(lon, lat, callback);
				} else {
					api.alert({
						msg: err.msg
					});
				}
			}
		);
	},
	getNameFromLocation: function(lon, lat, callback) {
		var baiduMap = api.require('baiduMap');
		baiduMap.getNameFromLocation({
			lon: lon,
			lat: lat
		}, function(ret, err) {
			if (ret.status) {
				callback(ret);
				BaiduMap.close();
			} else {
				api.alert({
					title: '搜索错误代码',
					msg: err.msg
				});
			}
		});
	},
	close: function() {
		var map = api.require('baiduMap');
		map.close();
	}
};