$(function() {

	if ($.getQueryStr(location.href, 'isFirst') !== 'Y') {
		$('#back').show();
	}
	$('#weathh_main').height($(window).height() - 50);
	var Address = {
		getCity: function() {
			this.bindEvt();
			if (window.BMap) {
				var geolocation = new BMap.Geolocation();
				geolocation.getCurrentPosition(function(r) {
					if (this.getStatus() == BMAP_STATUS_SUCCESS) {
						Address.showPosition(r.point);
					} else {
						alert("获取地理信息出错!");
					}
				}, {
					enableHighAccuracy: false,
					timeout: 6000,
					maximumAge: 1000
				});
			}
		},
		retCity: function() {
			
		},
		showPosition: function(point) {
			var gc = new BMap.Geocoder();
			gc.getLocation(point, function(rs) {
				var addComp = rs.addressComponents,
					city = addComp.city.replace(/市$/g, '');
				$('#city').text(city);
				$('.local_add').tap(function() {
					Address.goTo(city);
				});
			});
		},
		bindEvt: function() {
			$('.city_xq span').tap(function(e) {
				var city = $(e.target).text();
				Address.goTo(city)
			});
			$(document).on('keydown', function(e) {
				var e = e || window.e,
					keycode = e.keyCode || e.which,
					city = $('#search').val().replace(/(县|市|区)/ig, '');
				if (keycode == 13) {
					Address.goTo(city);
				}
			});
			$('#back').tap(function(e) {
				citySelector.close();
				setTimeout(function() {
					history.back();
				}, 300);
			});
			$('#input_goto').tap(function(e) {
				var city = $('#search').val().replace(/(县|市|区)/ig, '');
				Address.goTo(city);
				//0813add
				td.onEvent({
				    eventId:'搜索条使用次数',
				    eventLabel:'搜索条使用次数',
				    parameters:{
				        category:'搜索条使用次数'
				    }
				});
				td.onPageEnd({pageName:'城市管理'});
				
			});
			$('#input_genduo').tap(function(e) {
				if(citySelector){
					citySelector.close();
				}
				citySelector.open({
					 //bgImg:"widget://image/citySelectorbg.png",
					titleImg: "widget://image/citySelectortitle.jpg",
					 enterImg: "widget://image/enterImg.png",
					 cancelImg:"widget://image/cancelImg.png",
					//fontColor:"#93cee6",
					//selectedColor:"#FFFFFF"
					fontColor:"#727c80",
					selectedColor:"#0faae9",
					height:"265",
					y:"399"
				},function(ret,err){
					if(ret.county!==""){
						Address.goTo(ret.city);
					}
					else if(ret.city!==""){
						Address.goTo(ret.province);
					}
					else{
						Address.goTo(ret.province);
					}
				})
				//0806add
				td.onEvent({
				    eventId:'更多城市-点击量',
				    eventLabel:'更多城市-点击量',
				    parameters:{
				        category:'更多城市'
				    }
				});
				td.onPageEnd({pageName:'城市管理'});
			});
		},
		goTo: function(city) {
			//0812add
			td.onEvent({
				    eventId:'选择自动定位次数',
				    eventLabel:'选择自动定位次数',
				    parameters:{
				        category:'选择自动定位次数'
				    }
				});
				td.onPageEnd({pageName:'城市管理'});
			
			var url = 'http://ott.atianqi.com:7030/getcityinfo';
			var params = {
			    "reqhead": {
			        "servicecode": "OTTTV"
			    },
			    "reqbody": {
			        "city": city
			    }
			};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				dataType: 'json',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resphead.resultCode === '0000') {
						if (data.respbody == undefined) {
							api.toast({
								msg: '暂无结果',
								duration: 2000
							});
							return;
						}
						var city = data.respbody.nameCN;
						if (city == '') {
							api.toast({
								msg: '暂无结果',
								duration: 2000
							});
							return;
						}
						var curCitys = localStorage.getItem('weaCitys') ?
							localStorage.getItem('weaCitys').split('&') : [];
						if (curCitys.indexOf(city) < 0) {
							curCitys.push(city);
							localStorage.setItem('weaCitys', curCitys.join('&'));
						}
						localStorage.setItem('globalCity', city);
						if(citySelector){
							citySelector.close();
						}
						window.location.href = 'index.html';
					}
				},
				error: function(data) {
					api.toast({
						msg: '暂无结果',
						duration: 2000
					});
				}
			});
			
		}
	};

	function errorCallback(error) {
		switch (error.code) {
			case error.TIMEOUT:
				console.log("连接超时，请重试");
				break;
			case error.PERMISSION_DENIED:
				console.log("您拒绝了使用位置共享服务，查询已取消");
				break;
			case error.POSITION_UNAVAILABLE:
				console.log("获取位置信息失败");
				break;
		}
	}

	document.onkeydown = function(evt) {};

	window.apiready = function() {
		$api.fixIos7Bar($api.byId('weath_header'));
		$api.fixIos7Bar($api.byId('weathh_main'));
		//$api.fixIos7Bar($api.byId('add_city'));
		$api.fixIos7Bar($api.byId('back'));
		citySelector = api.require('citySelector');
		Address.bindEvt();
		/***0806add*Start**/
		td = api.require('talkingData');
		td.getDeviceID(function(ret,err){
			if(ret){
				//api.alert({msg: ret});
				td.onPageStart({pageName:'城市管理'});
			}
		});
		/***0806*End**/
		BaiduMap.getLocation(function(ret) {
			var city = ret.city.replace(/市$/g, '');
			$('#city').text(city);
			$('.local_add').tap(function() {
				Address.goTo(city);
			});
		});
		//Address.getCity();
	}
	var citySelector;
	window.onunload = function() {
		citySelector.close();
		setTimeout(function() {
		}, 300);
	}
});