$(function() {
	var shareURL = 'http://14.23.85.244:7030/meiWe2/',
		href = window.location.href.split('/'),
		path = href[href.length - 1],
		web_page_url = shareURL + path;
		commTxt = '美天天气 为您提供最准确的天气信息，http://www.atianqi.com。';
			
	var subText = function(_str, _subLength) {
		var temp1 = _str.replace(/[^\x00-\xff]/g, "**").replace(/\s/g, '*');
		var temp2 = temp1.substring(0, _subLength);
		var x_length = temp2.split("\*").length - 1;
		var hanzi_num = x_length / 2;
		_subLength = _subLength - hanzi_num;
		var res = _str.substring(0, _subLength);
		if (_subLength < _str.length) {
			res = res + '...';
		}
		return res;
	};
	
	window.apiready = function() {
		var lifeindex = api.pageParam.lifeindex,
			tag = api.pageParam.tag,
			type = api.pageParam.type,
			city = localStorage.getItem('globalCity'),
			globalWea = JSON.parse(localStorage.getItem('globalWeaData'))[city].now;
		var pullDownEl, pullDownOffset,
			pullUpEl, pullUpOffset;
		var myScroll = null;
		
		$api.fixIos7Bar($api.byId('weath_header'));
		$api.fixIos7Bar($api.byId('goTo'));
		//$api.fixIos7Bar($api.byId('share'));
		$api.fixIos7Bar($api.byId('main'));
		
		$('#share').on('touchend', function() {
			$('#mess').toggle();
			$('#mask').toggle();
		});
		
		
		$('.mess_share_txt a').on('touchend', function(e) {
			var sysType = api.systemType;
			var lable = $(this).attr('data-lable');
			var wxShare = function(scene) {
				if (sysType == 'android') {
					var wxToken = localStorage.getItem('wxToken');
					if (wxToken) {
						WeiXin.sendReq(scene);
					} else {
						WeiXin.reg(scene);
					}
				} else {
					WeiXin.reg(scene);
				}
			};
			var qqShare = function(type) {
				var accessToken = localStorage.getItem('qqToken');
				var openId = localStorage.getItem('openId');
				if (accessToken && openId) {
					QQ.shareToqqnew(type);
				} else {
					QQ.startLogin(type);
				}
			}
			switch (lable) {
				case '1':
					var scene = 'session';
					wxShare(scene);
					break;
				case '2':
					var scene = 'timeline';
					wxShare(scene);
					break;
				case '3':
					var token = localStorage.getItem('accessToken');
					var uID = localStorage.getItem('userID');
					if (token && uID) {
						Sina.send();
					} else {
						Sina.auth();
					}
					break;
				case '4':
					var type = 'QFriend';
					qqShare(type);
					break;
				case '5':
					var type = 'QZone';
					qqShare(type);
					break;
				default:
					break;
			}
		}); 

		
		var Exponent = {
			start: 0,
			data: [],
			page: 1,
			totalPage: 0,
			pageSize: 3,
			txt: {
				'quality': '空气质量',
				'dressing': '穿衣指数',
				'flu': '感冒指数',
				'uv': '紫外线指数',
				'sport': '运动指数',
				'travel': '旅行指数'
			},
			init: function() {
				//this.initHeight();
				this.showHeader();
				this.showTips();
				this.getgetNewByRelate();
				this.bindEvt();
			},
			bindEvt: function() {
				$('#more').tap(function() {
					$('#loading').show();
					Exponent.showRelative(8);
				});
				$('#goTo').tap(function() {
	//				history.back();
					setTimeout(function() {
						//history.back();
						api.closeWin({
							name: 'exponentDetail',
							animation: {
								type: 'none'
							}
						});
					}, 200);
				});
			},
			showHeader: function() {
				if (globalWea.today.suggestion) {
					try{
						var suggestion = globalWea.today.suggestion,
							futureData = globalWea.future[0];
						$('#title').html(this.txt[type]);
						$('#suggestion-brief').html(suggestion[type].brief);
						$('#suggestion-details').html(suggestion[type].details);
						$('#ex-temperature').html(futureData.low + '℃ -' + futureData.high + '℃ ');
						$('#weaIcon')[0].src = 'weaIcon/' + futureData.code1 + '.png';
						$('#weaText').html(futureData.text);
						$('#windInfo').html(futureData.wind);
					}catch(e) {
						
					}
				}
			},
			showTips: function() {
				$('#city').html(city);
			},
			getgetNewByRelate: function() {
				var that = this;
					url = 'http://ott.atianqi.com:7030/gettagrelate',
					params = {
						"reqhead": {
							"servicecode": "OTTTV",
							"distributor": "SNM",
							"clienttype": "PC",
							"clientid": "JHSG7328f",
							"clientver": "1.0.1",
							"devicetype": "",
							"clientos": "andiod_4.3.1"
						},
						"reqbody": {
							"lifeindex": lifeindex,
							"tag": tag,
							"pageno": this.page,
							"pagesize": this.pageSize
						}
					};
				$.ajax({
					type: "post",
					url: url,
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(params),
					success: function(_data) {
						if (_data && _data.resphead.resultcode == '0000') {
							Exponent.data = _data.respbody.listingobjects;
							if (!Exponent.totalPage) {
								Exponent.totalPage = Math.ceil(_data.respbody.count / Exponent.pageSize);
							}
							Exponent.showRelative();
						}
					}
				});
			},
			showRelative: function() {
				var html = [];
				$.each(this.data, function(idx, item) {
					var anchor = 'articleDetail.html?id=' + item.id + '&servicetype=' + item.servicetype
						+ '&code=x_indexGg' + '&tabName=' + encodeURIComponent('首页');
						pic = item.logourl || 'image/article_default.jpg';
					html.push([
						'<section class="exp_txt border_bottom exp_dk_art_zw">',
							'<a data-href="' + anchor + '" style="display:block">',
								'<img class="exp_dk_pic left articleIcon" width="100" height="75" src="' + pic + '"/>',
								'<div class="exp_dk_t">',
									'<p class="exp_dk_txt f24 fh2color title">',
										item.titlecn,
									'</p>',
									'<p class="exp_dk_txt f24 fh3color viewport">',
										subText(item.viewpoint, 40),
									'</p>',
								'</div>',
							'</a>',
						'</section>'
					].join(''));
				});
				//html.push('<div id="loading"></div>');
				$('#loading').hide();
				$('#relative').append(html.join(''));
				setTimeout(function() {
					$('#loading').hide();
					if (Exponent.page == 1) {
						Exponent.initIs();
					}
					myScroll.refresh();
					loadingStep = 0;
					var pullUpEl = document.getElementById('pullUp');
					if (pullUpEl.className.match('loading')) {
						pullUpEl.className = '';
						pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载数据...';
					}
					$('.exp_txt a').on('tap', function() {
						var params = $(this).attr('data-href'),
							id = $.getQueryStr(params, 'id'),
							servicetype = $.getQueryStr(params, 'servicetype'),
							tabName = $.getQueryStr(params, 'tabName'),
							code = $.getQueryStr(params, 'code');
						api.openWin({
							name: 'articleDetail',
							url: 'articleDetail.html?id='+id+'&servicetype='+servicetype,
							pageParam: {
								id: id,
								servicetype: servicetype,
								tabName: tabName,
								code: code
							},
							animation: {
								type: "none"
							},
							vScrollBarEnabled: true,
							hScrollBarEnabled: false,
							slidBackEnabled: false,
							showProgress: true,
							slidBackEnabled: true
						});
	//					window.location.href = $(this).attr('data-href');
					})
				}, 100);
			},
			initIs: function() {
				pullUpEl = document.getElementById('pullUp');
				pullUpOffset = pullUpEl.offsetHeight;
				myScroll = new iScroll('main', {
					useTransition: true,
					topOffset: pullDownOffset,
					onRefresh: function() {
						if (pullUpEl.className.match('loading')) {
							pullUpEl.className = '';
							pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
							pullUpEl.style.visibility = 'hidden';
						}
					},
					onScrollMove: function() {
						if (this.y < (this.maxScrollY - 5) && !pullUpEl.className.match('flip')) {
							pullUpEl.style.visibility = 'visible';
							pullUpEl.className = 'flip';
							pullUpEl.querySelector('.pullUpLabel').innerHTML = '松开刷新数据...';
							this.maxScrollY = this.maxScrollY;
						} else if (this.y > (this.maxScrollY + 5) && pullUpEl.className.match('flip')) {
							pullUpEl.style.visibility = 'visible';
							pullUpEl.className = '';
							pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
							this.maxScrollY = pullUpOffset;
						}
					},
					onScrollEnd: function() {
						if (pullUpEl.className.match('flip')) {
							pullUpEl.className = 'loading';
							pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中...';
							Exponent.showNext();
						}
					}
				});
				setTimeout(function() {
					document.getElementById('main').style.left = '0';
				}, 800);
			},
			showNext: function() {
				if (this.page == this.totalPage) {
					pullUpEl.className = '';
					pullUpEl.querySelector('.pullUpLabel').innerHTML = '暂无更多数据...';
					setTimeout(function() {
						pullUpEl.style.display = 'none';
						pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载数据...';
						myScroll.refresh();
					}, 1000);
					return;
				}
				this.page += 1;
				this.getgetNewByRelate();
			}
		};

		Exponent.init();

		$('#mask').on('touchend', function(e) {
			e.stopPropagation();
			e.preventDefault();
			$('#mess').toggle();
			$('#mask').toggle();
		});
	}

	var Sina = {
		reg: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.cancelAuth(function(ret, err) {
				if (ret.status) {
					api.alert({
						msg: '登出成功'
					});
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		auth: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.auth(function(ret, err) {
				if (ret.status) {
					var token = ret.accessToken;
					var uID = ret.userID;
					localStorage.setItem('accessToken', token);
					localStorage.setItem('userID', uID);
					Sina.send();
				} else {
					api.alert({
						msg: 'auth----' + err.msg
					});
				}
			});
		},
		send: function() {
			var sinaWeiBo = api.require('sinaWeiBo'),
				imageUrl = 'widget://images/dx/mtapp_ico.png',
				contentType = 'text',
				description = '',
				title = '美天天气测试内容2',
				text = '#美天天气#' + localStorage.getItem('globalCity') + '，今天' 
					+ $('#ex-temperature').html() + $('#windInfo').html() 
					+ '，' + $('#title').html() + '为'
					+ $('#suggestion-brief').html() + '。@' + commTxt,
				thumbUrl = 'widget://images/dx/mtapp_ico.png',
				webpageUrl = web_page_url,
				jsonMedia = {
					title: title,
					description: description,
					thumbUrl: thumbUrl,
					webpageUrl: webpageUrl
				};
			sinaWeiBo.sendRequest({
				contentType: contentType,
				text: text,
				imageUrl: imageUrl,
				media: jsonMedia
			}, function(ret, err) {
				if (ret.status) {
					api.alert({
						title: '发表微博',
						msg: '发表成功',
						buttons: ['确定']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							$('#mess').hide();
							$('#mask').hide();
						}
					});
				} else {
					api.alert({
						title: '发表微博',
						msg: '发表失败',
						buttons: ['确定']
					});
				};
			});
		},
		getSinaUserInfo: function() {
			var sinaWeiBo = api.require('sinaWeiBo');
			sinaWeiBo.getUserInfo({}, function(ret, err) {
				if (ret.status) {
					Sina.send();
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		}
	};

	var WeiXin = {
		getUsersInfomation: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.getUserInfo(function(ret, err) {
				if (ret.status) {
					WeiXin.sendReq(scene);
				} else {
					WeiXin.refresh(scene);
					/*api.alert({
						msg: err.msg
					});*/
				}
			});
		},
		reg: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.registerApp(function(ret, err) {
				if (ret.status) {
					//if(api.systemType == 'ios'){
//					WeiXin.sendReq();
					WeiXin.loginWeiXin(scene);
					//}
					//else{
					//	WeiXin.loginWeiXin();
					//}
				} else {
					api.alert({
						msg: '注册失败'
					});
				}
			});
		},
		loginWeiXin: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.auth(function(ret, err) {
				if (ret.status) {
					var token = ret.token;
					localStorage.setItem('wxToken', token);
					WeiXin.getUsersInfomation(scene);
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		},
		sendReq: function(scene) {
			var weiXin = api.require('weiXin'),
				scene = scene,
				contentType = 'text',
				title = '美天天气',
				description = localStorage.getItem('globalCity') + '今天' 
					+ $('#ex-temperature').html() + $('#windInfo').html() 
					+ '，' + $('#title').html() + '为'
					+ $('#suggestion-brief').html() + '。@' + commTxt,
				thumbUrl = 'widget://images/dx/mtapp_ico.png',
				contentUrl = web_page_url,
				contentUrlI = web_page_url,
				contentUrlV = web_page_url,
				URL = null;
			if (contentType == 'image') {
				URL = contentUrlI;
			} else if (contentType == 'video') {
				URL = contentUrlV;
			} else if (contentType == 'music') {
				URL = contentUrlM;
			} else {
				URL = contentUrl;
			}
			weiXin.sendRequest({
				scene: scene,
				contentType: contentType,
				title: title,
				description: description,
				thumbUrl: thumbUrl,
				contentUrl: URL
			}, function(ret, err) {
				if (ret.status) {
					api.alert({
						title: '发表微信',
						msg: '发表成功',
						buttons: ['确定']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							$('#mess').hide();
							$('#mask').hide();
						}
					});
				} else {
					api.alert({
						title: '发表微信',
						msg: '发布失败',
						buttons: ['确定']
					});
				};
			});
		},
		refresh: function(scene) {
			var weiXin = api.require('weiXin');
			weiXin.refreshToken(function(ret, err) {
				if (ret.status) {
					WeiXin.loginWeiXin(scene);
				} else {
					api.alert({
						msg: err.msg
					});
				}
			});
		}
	};

	var QQ = {
		startLogin: function(type) {
			var iaf = api.require('qq');
			iaf.login(function(ret, err) {
				if (ret.status) {
					var accessToken = ret.accessToken;
					var openId = ret.openId;
					localStorage.setItem('qqToken', accessToken);
					localStorage.setItem('openId', openId);
					QQ.shareToqqnew(type);
				} else {
					api.alert({
						title: 'id和token',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		},
		startLogout: function() {
			var iaf = api.require('qq');
			iaf.logout(function(ret, err) {
				if (ret.status) {
					localStorage.setItem('qqToken', '');
					localStorage.setItem('openId', '');
					api.alert({
						title: '取消授权',
						msg: '取消授权成功！',
						buttons: ['确定']
					});
				} else {
					api.alert({
						title: '取消授权',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		},
		shareToqqnew: function(type) {
			var iaf = api.require('qq'),
				title = '美天天气测试',
				description = localStorage.getItem('globalCity') + '今天' 
					+ $('#ex-temperature').html() + $('#windInfo').html() 
					+ '，' + $('#title').html() + '为'
					+ $('#suggestion-brief').html() + '。@' + commTxt;
			iaf.shareNews({
				url: 'http://www.atianqi.com',
				title: title,
				description: description,
				imgUrl: 'http://www.atianqi.com/images/logo.gif',
				type: type
			}, function(ret, err) {
				if (ret.status) {
					api.alert({
						title: '新闻分享',
						msg: '分享成功！',
						buttons: ['确定']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							$('#mess').hide();
							$('#mask').hide();
						}
					});
				} else {
					api.alert({
						title: '新闻分享',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		},
		shareToqqtext: function() {
			var iaf = api.require('qq');
			iaf.shareText({
				text: '@美天天气'
			}, function(ret, err) {
				if (ret.status) {
					api.alert({
						title: '文本分享',
						msg: '分享成功！',
						buttons: ['确定']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							$('#mess').hide();
							$('#mask').hide();
						}
					});
				} else {
					api.alert({
						title: '文本分享',
						msg: err.msg,
						buttons: ['确定']
					});
				}
			});
		}
	};
});