$(function() {
//	$('#personal_center').height($(window).height() - 100);
	
	var Find = {
		ipAdd: 'http://ott.atianqi.com:7033',
		init: function() {
			window.apiready = function() {
				//0813add
				td = api.require('talkingData');
				td.getDeviceID(function(ret,err){
					if(ret){
						//api.alert({msg: ret});
						td.onPageStart({pageName:'登录页'});
					}
				});
				
				$api.fixIos7Bar($api.byId('back'));
				$api.fixIos7Bar($api.byId('weath_header'));
				$api.fixIos7Bar($api.byId('personal_center'));
			}
			var that = this;
			$('#phone_btn').tap(function() {
				var pwd = $('#pwd').val(),
					rePwd = $('#rePwd').val(),
					code = $('#code').val(),
					userName = that.checkUser();
				if (!userName) {
					return;
				}
				if (!checkstr(code)) {
					alert('请输入验证码');
					return;
				}
				if (!checkstr(pwd)) {
					alert('新密码不能为空');
					return;
				} else if (!checklength(pwd, 6)) {
					alert('新密码必须为6位以上');
				} else if (!username(pwd)) {
					alert('密码只能为数字字母下滑线');
					return;
				} else if (rePwd != pwd) {
					alert('两次输入密码必须一致');
					return;
				}
				that.find(userName, pwd, code);
			});
			
			$('#getCode').on('tap', this.codeFn);
				//0813add
				td.onEvent({
				eventId:'忘记密码',
				eventLabel:'忘记密码',
				parameters:{
					category:'忘记密码'
					}
				});
				td.onPageEnd({pageName:'登录页'});
		},
		codeFn: function() {
			var phone = Find.checkUser();
			if (!phone) {
				return;
			}
			Find.getCode(phone);
		},
		checkUser: function() {
			var userName = $('#userName').val();
			if (!checkstr(userName)) {
				alert('手机号不能为空');
				return false;
			} else if (!this.isPhone(userName)) {
				alert('请输入正确的手机号码');
				return false;
			}
			return userName;
		},
		getCode: function(phone) {
			this.disabledCode();
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/getdynamicpwd',
				params = {
				    "mobnum": phone,
				    "mail": "",
				    "passwdtype": "1",
				    "checkemailurl": null,
				    "msgname": "getdynamicpwd",
				    "msgversion": "1.0.0",
				    "transactionid": "12",
				    "sender": "tianqi",
				    "timestamp": timestamp
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {}
			});
		},
		disabledCode: function() {
			var time = 60,
				tip = '',
				timer = -1;
			$('#getCode').css('background-color', 'rgba(0, 0, 0, .1)');
			$('#getCode').off('tap');
			tip = time + 's后重新发送';
			$('#getCode').html(tip);
			timer = setInterval(function() {
				if (time == 1) {
					$('#getCode').css('background-color', '#33c19e');
					$('#getCode').on('tap', Find.codeFn);
					$('#getCode').html('发送验证码');
					clearInterval(timer);
					return;
				}
				time --;
				tip = time + 's后重新发送';
				$('#getCode').html(tip);
			}, 1000);
		},
		find: function(userName, pwd, code) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/resetpasswd',
				saveParams = null,
				params = {
				  "validnum": code,
				  "loginaccount": userName,
				  "logintype": "3",
				  "newpasswd": pwd,
				  "msgname": "resetpasswd",
				  "msgversion": "1.0",
				  "transactionid": "2",
				  "sender": "tianqi",
				  "timestamp": timestamp,
				  "type": 2
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						api.alert({
							msg: '找回密码成功，请以新密码重新登录',
						}, function(ret, err) {
							if (ret.buttonIndex == 1) {
								history.back();
							}
						});
					} else {
						alert('找回密码失败。。。');
					}
				}
			});
		},
		isPhone: function(phone)  {
			return ChinaMobile(phone) ||
				ChinaUnicom(phone) ||
				ChinaTelecom(phone) ||
				ChinaTeleOther(phone);
		}
	};
	
	Find.init();
});