$(function() {
	var Register = {
		ipAdd: 'http://ott.atianqi.com:7033',
		init: function() {
			var that = Register;
			$('#phone_btn').tap(function() {
				var userName = that.checkUser(),
					pwd = $('#pwd').val(),
					rePwd = $('#rePwd').val(),
					code = $('#code').val();
				if (!userName) {
					return;
				}
				if (!checkstr(pwd)) {
					alert('密码不能为空');
					return;
				} else if (!checklength(pwd, 6)) {
					alert('密码必须为6位以上');
				} else if (!username(pwd)) {
					alert('密码只能为数字字母下滑线');
					return;
				} else if (rePwd != pwd) {
					alert('两次输入密码必须一致');
					return;
				}
				that.register(userName, pwd, code);
			});
			
			$('#getCode').tap(function() {
				var email = that.checkUser();
				if (!email) {
					return;
				}
				that.getCode(email);
			});
		},
		checkUser: function() {
			var userName = $('#userName').val();
			if (!checkstr(userName)) {
				alert('邮箱不能为空');
				return false;
			} else if (!isEmail(userName)) {
				alert('请输入正确的邮箱地址');
				return false;
			}
			return userName;
		},
		getCode: function(email) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/getdynamicpwd',
				params = {
				    "mobnum": '',
				    "mail": email,
				    "passwdtype": "1",
				    "checkemailurl": null,
				    "msgname": "getdynamicpwd",
				    "msgversion": "1.0.0",
				    "transactionid": "12",
				    "sender": "tianqi",
				    "timestamp": timestamp
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {}
			});
		},
		register: function(userName, pwd, code) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/userreg',
				params = {
				    "validnum": code,
			        "userinfo": {
				        "userchannel": "own",
				        "userid": null,
				    	"usertoken": null,
				    	"usergroup": "0",
					    "useraccount": userName,
					    "password": pwd,
					    "email": "",
					    "mobile": "",
					    "username": null,
					    "address": null,
					    "areacode": null,
					    "phone": null,
					    "createstamp": null,
					    "userlogo": null,
					    "reserved1": null,
					    "reserved2": null,
					    "reserved3": null,
					    "reserved4": null,
					    "sex": null,
					    "vipvalidity": null,
					    "validdays": 0,
					    "logintype": "3"
				  },
				  "msgname": "userreg",
				  "msgversion": "1.0.0",
				  "transactionid": "0",
				  "sender": "tianqi",
				  "timestamp": timestamp,
				  "type": null
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						localStorage.setItem('meiWe_isLogin', 'Y');
						location.href = 'personal_my.html';
					} else {
						alert(data.resultdesc);
					}
				}
			});
		}
	};
	
	Register.init();
});
