$(function() {
	var Register = {
		ipAdd: 'http://ott.atianqi.com:7033',
		init: function() {
			window.apiready = function() {
				$api.fixIos7Bar($api.byId('weath_header'));
				$api.fixIos7Bar($api.byId('personal_center'));
				$api.fixIos7Bar($api.byId('return_index'));
				//0805add
				td = api.require('talkingData');
					td.getDeviceID(function(ret,err){
						if(ret){
							//api.alert({msg: ret});
							td.onPageStart({pageName:'注册页'});
						}
				});
				
				
				
			}
			
			var that = this;
			$('#phone_btn').tap(function() {
				//0805add
					td.onEvent({
				    eventId:'注册-注册人数',
				    eventLabel:'注册-注册人数',
				    parameters:{
				        category:'注册'
				    }
				});

				td.onPageEnd({pageName:'注册页'});
				
				var pwd = $('#pwd').val(),
					rePwd = $('#rePwd').val(),
					code = $('#code').val(),
					userGroup = $('#userGroup').val(),
					userName = that.checkUser();
				if (!userName) {
					return;
				}
				if (!checkstr(pwd)) {
					alert('密码不能为空');
					return;
				} else if (!checklength(pwd, 6)) {
					alert('密码必须为6位以上');
				} else if (!username(pwd)) {
					alert('密码只能为数字字母下滑线');
					return;
				} else if (rePwd != pwd) {
					alert('两次输入密码必须一致');
					return;
				}
				if (!checkstr(code)) {
					alert('请输入验证码');
					return;
				}
				if (!checkstr(userGroup)) {
					alert('请输入昵称');
					return;
				}
				that.register(userName, pwd, code, userGroup);
			});
			$('#getCode').on('tap', this.codeFn);
			$('#return_index').tap(function() {
				history.back();
			});
					},
		codeFn: function() {
			var phone = Register.checkUser();
			if (!phone) {
				return;
			}
			Register.getCode(phone);
		},
		checkUser: function() {
			var userName = $('#userName').val();
			if (!checkstr(userName)) {
				alert('手机号不能为空');
				return false;
			} else if (!this.isPhone(userName)) {
				alert('请输入正确的手机号码');
				return false;
			}
			return userName;
		},
		getCode: function(phone) {
			this.disabledCode();
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/getdynamicpwd',
				params = {
				    "mobnum": phone,
				    "mail": "",
				    "passwdtype": "1",
				    "checkemailurl": null,
				    "msgname": "getdynamicpwd",
				    "msgversion": "1.0.0",
				    "transactionid": "12",
				    "sender": "tianqi",
				    "timestamp": timestamp
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {}
			});
			//0814add
			td.onEvent({
				    eventId:'发送验证码次数',
				    eventLabel:'发送验证码次数',
				    parameters:{
				        category:'发送验证码次数'
				    }
				});
			td.onPageEnd({pageName:'注册页'});
		},
		disabledCode: function() {
			var time = 60,
				tip = '',
				timer = -1;
			$('#getCode').css('background-color', 'rgba(0, 0, 0, .1)');
			$('#getCode').off('tap');
			tip = time + 's后重新发送';
			$('#getCode').html(tip);
			timer = setInterval(function() {
				if (time == 0) {
					$('#getCode').css('background-color', '#33c19e');
					$('#getCode').on('tap', Register.codeFn);
					$('#getCode').html('发送验证码');
					clearInterval(timer);
					return;
				}
				time --;
				tip = time + 's后重新发送';
				$('#getCode').html(tip);
			}, 1000);
		},
		register: function(userName, pwd, code, userGroup) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/userreg',
				saveParams = null,
				params = {
				    "validnum": code,
			        "userinfo": {
				        "userchannel": "own",
				        "userid": null,
				    	"usertoken": null,
				    	"usergroup": '0',
					    "useraccount": userName,
					    "password": pwd,
					    "email": "",
					    "mobile": "",
					    "username": userGroup,
					    "address": null,
					    "areacode": null,
					    "phone": null,
					    "createstamp": null,
					    "userlogo": null,
					    "reserved1": null,
					    "reserved2": null,
					    "reserved3": null,
					    "reserved4": null,
					    "sex": null,
					    "vipvalidity": null,
					    "validdays": 0,
					    "logintype": "3"
				  },
				  "msgname": "userreg",
				  "msgversion": "1.0.0",
				  "transactionid": "0",
				  "sender": "tianqi",
				  "timestamp": timestamp,
				  "type": null
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						saveParams = {
							username: userName,
							pwd: pwd,
							userid: data.userid,
							userGroup: userGroup
						};
						localStorage.setItem('meiWe_isLogin', 'Y');
						localStorage.setItem('meiWe_loginWay', 'account');//通过美天天气账号登录
						localStorage.setItem('meiWe_login_params', JSON.stringify(saveParams));
						location.href = 'personal_my.html';
					} 
					else if(data.resultcode == '1000') {
						alert("您输入的验证码错误或已经是南方新媒体用户，请直接登录！");
					}
					else {
						alert(data.resultdesc);
					}
				}
			});
			
		},
		isPhone: function(phone)  {
			return ChinaMobile(phone) ||
				ChinaUnicom(phone) ||
				ChinaTelecom(phone) ||
				ChinaTeleOther(phone);
		}
	};
	
	Register.init();
	
});
