$(function() {
	var Reset = {
		ipAdd: 'http://ott.atianqi.com:7033',
		init: function() {
			window.apiready = function() {
				$api.fixIos7Bar($api.byId('weath_header'));
				$api.fixIos7Bar($api.byId('back'));
			}
			var that = this;
			$('#update').tap(function() {
				var oldPwd = $('#oldPwd').val(),
					pwd = $('#pwd').val(),
					rePwd = $('#rePwd').val();
				if (!checkstr(oldPwd)) {
					alert('原密码不能为空');
					return;
				} else if (!checklength(pwd, 6)) {
					alert('新密码必须为6位以上');
				} else if (!username(pwd)) {
					alert('密码只能为数字字母下滑线');
					return;
				} else if (rePwd != pwd) {
					alert('两次输入密码必须一致');
					return;
				}
				that.reset(oldPwd, pwd);
			});
		},
		checkUser: function() {
			var userName = $('#userName').val();
			if (!checkstr(userName)) {
				alert('手机号不能为空');
				return false;
			} else if (!this.isPhone(userName)) {
				alert('请输入正确的手机号码');
				return false;
			}
			return userName;
		},
		reset: function(oldPwd, pwd) {
			var timestamp = new Date().format("yyyyMMddhhmmss"),
				url = this.ipAdd + '/setpasswd',
				oUser = JSON.parse(localStorage.getItem('meiWe_login_params')),
				usertoken = oUser.usertoken,
				userName = oUser.username,
				params = {
			        "validnum": '',
					"usertoken": usertoken,
					"account": userName,
					"oldpasswd": oldPwd,
					"newpasswd": pwd,
					"msgname": "setpasswd",
					"msgversion": "1.0",
					"transactionid": "2",
					"sender": "tianqi",
					"timestamp": timestamp,
					"type": 1
				};
			$.ajax({
				type: "post",
				url: url,
				contentType: 'application/json;charset=UTF-8',
				data: JSON.stringify(params),
				success: function(data) {
					if (data.resultcode == '0000') {
						localStorage.setItem('meiWe_isLogin', '');
						alert('修改密码成功,请重新登录');
						location.href = 'personal_login.html';
					} else {
						alert(data.resultdesc);
					}
				}
			});
		}
	};
	
	Reset.init();
	
		var url = 'http://ott.atianqi.com:7033/getuserinfo',
					timestamp = new Date().format("yyyyMMddhhmmss"),
					paramsObj = JSON.parse(localStorage.getItem('meiWe_login_params')),
					params = {
						"usertoken": paramsObj.usertoken,
						"msgname": "getuserinfo",
						"msgversion": "1.0.0",
						"transactionid": "12",
						"sender": "tianqi",
						"timestamp": timestamp
					};
				$.ajax({
					type: "post",
					url: url,
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(params),
					success: function(data) {
						if (data.resultcode == '0000') {
							useraccount = data.userinfo.useraccount;
							mobile = data.userinfo.mobile || useraccount;
							$('#mobile').html(mobile || username);
						}
					}
				});
});